commit 20ce5cc
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Dec 29 20:02:30 2015 +0000

    Revert "Qt: Remove usage of setWindowFilePath"
    
    Follow up to ge0c78b4.
    
    This reverts commit 7fed2f4304268a7558c42e406ba6a2bd5b6b0731.
    
    Change-Id: Iac4c580c1a73480bf8014b84ec84676460fc874c
    Reviewed-on: https://code.wireshark.org/review/12925
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e0c78b4
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Dec 29 19:39:35 2015 +0000

    Revert "Qt: Add support of gui.window_title"
    
    It broke the OS X build.
    
    This reverts commit 77a8f26bc2289ab3e5bef106ad419063eaaf34e8.
    
    Change-Id: I3af5a4a2799518ac55c9d63ee3d07cbdcc0bc015
    Reviewed-on: https://code.wireshark.org/review/12924
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 0cf1f32
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Dec 29 10:25:04 2015 -0800

    Build 2.0.1.
    
    Change-Id: Iddb9bb73ba7ba5309f52f478d1d40ebd9d4a470e
    Reviewed-on: https://code.wireshark.org/review/12922
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 77a8f26
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Dec 15 12:12:27 2015 +0100

    Qt: Add support of gui.window_title
    
    Ping-Bug: 11102
    Bug: 11691
    Change-Id: I7b1673ffafcda644f4905265061ba11733dd91d3
    Reviewed-on: https://code.wireshark.org/review/12650
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 6c42a103e81feef35c9a35571c5866ae644279cc)
    Reviewed-on: https://code.wireshark.org/review/12920

commit 7fed2f4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Dec 21 10:25:27 2015 +0100

    Qt: Remove usage of setWindowFilePath
    
    Change-Id: I29591709d88d1858e44c753d09e4a29d0f28ce53
    Reviewed-on: https://code.wireshark.org/review/12781
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit f145108f5ead2bf764c50e6a6b27ce418d185ea5)
    Reviewed-on: https://code.wireshark.org/review/12919

commit e79630d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Dec 29 09:49:54 2015 -0800

    Update translations.
    
    Change-Id: I90bd01b73d176005d6534906d6e7f004f0d67b3e
    Reviewed-on: https://code.wireshark.org/review/12918
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 0d990bd
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Mon Dec 28 19:35:34 2015 +0100

    debian: Recommend libqt5multimedia5-plugins for wireshark-qt
    
    This makes RTP Player actually play RTP stream using Qt, too.
    
    Conflicts:
    	debian/control
    
    Bug: 11918
    Change-Id: I9a90f50ceeccc1f298bf1b0a8dcc7a9017107484
    Reviewed-on: https://code.wireshark.org/review/12882
    Petri-Dish: Balint Reczey <balint@balintreczey.hu>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/12904
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit a9afcf0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Dec 29 10:21:01 2015 +0100

    NAS EPS: fix a copy/paste error
    
    Change-Id: I462c35f43baf1e90d47e301cc8d334bb3851d884
    Reviewed-on: https://code.wireshark.org/review/12907
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 84fbc8e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Dec 28 17:44:10 2015 -0800

    Prep for 2.0.1.
    
    Change-Id: I9dcf13e9493856727f958606c58b3964423149aa
    Reviewed-on: https://code.wireshark.org/review/12901
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit adbee00
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Dec 28 23:49:56 2015 +0100

    Qt: Add missing multi-field column validation
    
    GTK already has it, but Qt forgot about it, so multi-field custom column
    works ok if previously saved in GTK-shark. Invalid validation prevent from
    modifying and saving multi-field custom column in Qt version.
    
    This is a manual merge from 9bb3f6be without the field -> fields change.
    
    Change-Id: I4f9ddecd468cf5521d3ed6b4d64f98c3b094c9e4
    Reviewed-on: https://code.wireshark.org/review/12893
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit efc9ecf
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Dec 28 19:20:11 2015 +0100

    Qt: fix QString::arg: Argument missing: "PT=%u telephone/event" warning
    
    Change-Id: If6065d0895a4bf8311badfff74bb1dff5841490d
    Ping-Bug: 11918
    Reviewed-on: https://code.wireshark.org/review/12881
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit a1c27ef7cf3686fae90b034bcad40c68dbc91fb1)
    Reviewed-on: https://code.wireshark.org/review/12883

commit 8c2fa5b
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Dec 26 17:41:42 2015 -0500

    Sanity check column size to prevent allocating an unrealistic amount of memory.
    
    Bug: 11931
    Change-Id: I19fa2937a649382b3a2eda2c8192246e3e9d9e28
    Reviewed-on: https://code.wireshark.org/review/12875
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2661939
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Dec 27 08:17:46 2015 -0800

    [Automatic update for 2015-12-27]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I00853ed4371029ca2bbf7774615925e376ada77a
    Reviewed-on: https://code.wireshark.org/review/12877
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a6c62a2
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Dec 23 18:09:10 2015 +0100

    [mp2t] adaptation_field_control for NULL packets should not be 0
    
    just remove the wrong statement, I'll add some expert info later...
    
    Bug: 11921
    Change-Id: I1a4f2e32e9c7c32c54b251445f8750d7c3f5ab6f
    Reviewed-on: https://code.wireshark.org/review/12850
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 1308189348b43e3ec1cfea13bc66060a844edd3d)
    Reviewed-on: https://code.wireshark.org/review/12851

commit 5913723
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Dec 23 11:39:55 2015 +0100

    QUIC: Need also to increment tag_offset when tag_len is not zero
    
    Change-Id: Id693f906bfbd03438de579755a4db7ee8dfcc474
    Reviewed-on: https://code.wireshark.org/review/12843
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit e0bde412a0d56cbafddcc99fc2fcae93c88573d7)
    Reviewed-on: https://code.wireshark.org/review/12849

commit 66585cd
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Dec 23 10:07:09 2015 +0100

    QUIC: It is possible to have multiple CCS
    
    Change-Id: I0b073d8ef5b004cf14e5236d210543c8eed7cde2
    Reviewed-on: https://code.wireshark.org/review/12844
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 2247caf58b564bfb734828c5835ade6a1ed68071)
    Reviewed-on: https://code.wireshark.org/review/12848

commit 97e3613
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Dec 23 08:42:53 2015 +0100

    Plug memory leak in filter_expression_free
    
    The list_head itself will leak in filter_expression_free(),
    so ensure we also free this.
    
    Change-Id: Ide6ef0c013d172b0c0120c744ce4ed46ee4321e0
    Reviewed-on: https://code.wireshark.org/review/12837
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-on: https://code.wireshark.org/review/12839

commit 0bfb175
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Dec 23 08:41:07 2015 +0100

    ui: Plug memory leak in decode_build_reset_list.
    
    The strings passed to decode_build_reset_list() is not freed, so
    ensure we cleanup in decode_clear_all().
    
    Change-Id: Ib68bde71403e260199482831272beb161fe033f9
    Reviewed-on: https://code.wireshark.org/review/12836
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 976642ab0a6099010d08113fe4080010d39ab766)
    Reviewed-on: https://code.wireshark.org/review/12838

commit ada125e
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Dec 21 21:11:48 2015 +0100

    ui: Optimize col_custom_prime_edt()
    
    The col_item->col_custom_fields_ids list does not change between
    packet so this can be initialized in build_column_format_array().
    
    Change-Id: I171b583912dbd1568c3d85159fac1ab435dcaa7c
    Reviewed-on: https://code.wireshark.org/review/12801
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/12829
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit ec166e2
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Dec 22 14:51:08 2015 +0100

    Qt: Plug memory leak in ByteViewText.
    
    Each time we create a ByteViewText, which is twice when a packet is
    selected, the menu items leaks.  Ensure we clear the items when done.
    
    Change-Id: Idf0c7b82bf241120dd4c42ba85c56c0a2bf8db46
    Reviewed-on: https://code.wireshark.org/review/12826
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 299717879554ee2fc7d06fedded6207cfdcd1f22)
    Reviewed-on: https://code.wireshark.org/review/12830

commit 3a28602
Author: Dario Lombardo <lomato@gmail.com>
Date:   Tue Dec 22 09:24:42 2015 +0100

    DNS: fix malformed warning when there is no quest(ions)
    
    Change-Id: I14ef5244ddcc34fc0edea159e3e8593da8f50ffe
    Reviewed-on: https://code.wireshark.org/review/12819
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 66ce1e6811728bc68e42cc9fc2e92de188505f03)
    Reviewed-on: https://code.wireshark.org/review/12822

commit 2052db2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 21 14:01:22 2015 -0800

    Don't write out statistics if we don't have any.
    
    We don't know when the capture started or ended (the time stamps of the
    first and last packets aren't necessarily the time when the capture
    started or ended), we don't know how many packets were dropped in the
    capture process, and we don't know how many packets were seen in various
    stages before they were received by whatever software dumped them out as
    text, so we have no statistics to report.
    
    Change-Id: Ic6de25242d2ea536f0f17a1a20a4e05cf03d8416
    Reviewed-on: https://code.wireshark.org/review/12813
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6c094dc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 21 12:55:37 2015 -0800

    g_malloc the decrypted key in AES_unwrap(), but always free it.
    
    It doesn't need to exist after AirPDcapDecryptWPABroadcastKey() returns.
    
    Change-Id: Ifaf08dfb285be3cf54429f7b77d44565962d4450
    Reviewed-on: https://code.wireshark.org/review/12808
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit a3e80157c830e75a8b7c5bae89dabd943c7bfc85)
    Reviewed-on: https://code.wireshark.org/review/12809

commit baad089
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 21 12:44:38 2015 -0800

    g_mallocate the encrypted key, but free it in all paths out of the function.
    
    It doesn't need to persist after the function returns.
    
    Change-Id: Ic601a6ef6a0aa0f22f9c8b9a1c586cec95093f27
    Reviewed-on: https://code.wireshark.org/review/12805
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6ede7d4ba3d7acaf90846618afd0830a57511b64)
    Reviewed-on: https://code.wireshark.org/review/12806

commit 8d8b560
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Dec 20 14:54:02 2015 +0100

    [airpdcap rijndael] use packet scoped wmem memory in AES_unwrap()
    
    at the moment, AirPDcapDecryptWPABroadcastKey() does not free the buffer
    allocated by AES_unwrap() if there's an error while parsing the returned data
    
    this could be fixed by adding more g_free() calls or by using wmem
    memory
    
    Change-Id: I332968da2186fbd17cbb7708082fa701dcab668e
    Reviewed-on: https://code.wireshark.org/review/12770
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7f12eb0
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Dec 19 20:50:47 2015 -0500

    [SMTP] Combine username and password when base64 decoding fails or is disabled.
    
    Also add expert info "hint" that base64 decoding may be disabled.
    
    Bug: 11853
    Change-Id: Ib2138ae0c70e22f311e1369c66816ff9d6fbdb82
    Reviewed-on: https://code.wireshark.org/review/12734
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 3b39b1d226394dc013734b5cff349ad5166b94fb)
    Reviewed-on: https://code.wireshark.org/review/12803

commit b00f8f9
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Dec 20 20:52:25 2015 +0100

    ui: Fixed column tooltip when having multi-field custom columns.
    
    Change-Id: Iac09b841ff782ea351052ad6b20f5b4ff170e8e8
    Reviewed-on: https://code.wireshark.org/review/12752
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-on: https://code.wireshark.org/review/12799

commit 961f0cc
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Dec 20 19:59:56 2015 +0100

    ui: Improved splitting custom column multi-field
    
    Improved the custom column prime regex so that all fields must be
    separated by "||" or "or" to avoid false positives when having
    multi-fields which is valid display filters but not valid for
    custom columns (e.g. "udp and tcp").
    
    Change-Id: Iec9942d458d6b265d04e14b5966907f1de43b782
    Reviewed-on: https://code.wireshark.org/review/12751
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit dc06d7f0f288a48621715fbd6cd61b02b17745f3)
    Reviewed-on: https://code.wireshark.org/review/12797

commit 96526b2
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Dec 20 21:01:29 2015 +0100

    Add COL_CUSTOM_PRIME_REGEX
    
    Use this as a common regex to split multi-field custom columns.
    
    Change-Id: I40f76743284c5981c95d2e47d6d1d2a7f357d2ea
    Reviewed-on: https://code.wireshark.org/review/12753
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-on: https://code.wireshark.org/review/12796

commit 6bd7c75
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 21 05:05:31 2015 -0800

    Don't g_free() stuff allocated with wmem.
    
    This syncs this file up with the trunk.
    
    Change-Id: I14e6e7521e17360d048b3616f3893b2efe42b95f
    Reviewed-on: https://code.wireshark.org/review/12795
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1800506
Author: Alexander Wetzel <alexander.wetzel@web.de>
Date:   Sun Nov 22 14:01:23 2015 +0100

    WPA (IEEE802.11) decryption function cleanups
    
     - Updated AirPDcapPacketProcess function description
     - Try to return better error codes
     - Remove broken/useless return of keys from AirPDcapRsna4WHandshake
    
    Change-Id: I19ae46e54114e0c5953dd1d1e0b78d4123410b30
    Reviewed-on: https://code.wireshark.org/review/12794
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 93848ad
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Nov 12 13:57:11 2015 -0800

    Fix compilation when _DEBUG is defined.
    
    CMake's Visual C++ generator creates projects that compile with the
    Debug configuration by default, which defines _DEBUG. Fix DEBUG_DUMP's
    declaration so that we compile in that case.
    
    While we're here note that the "airpd" prefix isn't limited to AirPcap,
    so we might want to change it accordingly.
    
    Change-Id: I5476f28c63020f0f66ee9128731bc4b3dc720765
    Reviewed-on: https://code.wireshark.org/review/11787
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 18b8f48bc113267f2c548e4ce9a3e5b744ca9c1e)
    Reviewed-on: https://code.wireshark.org/review/12793
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0d27260
Author: Alexander Wetzel <alexander.wetzel@web.de>
Date:   Sun Nov 1 18:49:42 2015 +0100

    WPA/WPA2 decoding fixes and improvements
    
    - start decoding when we have eapol1+2 packets
      Do not insist on a complete captured handshake, decode what we can.
    
    - more robust way to detect eapol #2 packets
      At least Win 10 is violating the spec on rekey by setting the secure
      bit in #2. Unpatched version shows and handles #2 as #4, breaking
      decoding after rekey.
    
    - fixed eapol rekey key handling
      Inital patch (see https://code.wireshark.org/review/8268)
      is adding redundant keys, since it scans all the time
      and not only once.
    
    - ignore tailing garbage after eapol sections in frame
      See https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9065#c8
    
    Included testcase to test decode for incomplete handshakes and eapol2
    packets with secure bit set on rekey.
    
    Ping-Bug: 9065
    Change-Id: Id775088db9b5aaa80da9efdeed6902d024b5c0cd
    Reviewed-on: https://code.wireshark.org/review/11484
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit cb3dd958af31099772c8934179e113929ae0c020)
    Reviewed-on: https://code.wireshark.org/review/12775
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit fc3b6a5
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Dec 20 15:47:28 2015 +0100

    [airpdcap] check the length of the WPA broadcast key we calculated
    
    return an error if our key is shorter than the key type required for the
    encryption method we detected
    
    this check prevents an out-of-bounds memory access when the key is copied
    
    Bug: 11826
    Change-Id: Ic779b5d87aa97a3b2d2b2c92ce12d0fff4a85adc
    Reviewed-on: https://code.wireshark.org/review/12743
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-on: https://code.wireshark.org/review/12769
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4781e5a
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Dec 20 16:04:12 2015 +0100

    [aidpdcap] use packet scoped wmem memory for szEncryptedKey
    
    to make sure that AirPDcapDecryptWPABroadcastKey() does not leak memory
    when it returns an error
    
    Change-Id: I01dc8dc0d6cc1e72e9784a262e35e24844e35dbc
    Reviewed-on: https://code.wireshark.org/review/12745
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-on: https://code.wireshark.org/review/12768
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 8c25cfc
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Dec 20 17:47:24 2015 -0500

    ICMP timestamp is in mseconds, not seconds.
    
    Introduced in Iad5e28aa
    
    Bug: 11910
    Change-Id: I80be5f156786ddb9f7bbe25460b48dbb4588cb8d
    Reviewed-on: https://code.wireshark.org/review/12755
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit f66fedc04e2142dc608c165fcf60646c8f2d34ce)
    Reviewed-on: https://code.wireshark.org/review/12772

commit fbf8f79
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Dec 20 18:21:35 2015 -0800

    Squelch another warning.
    
    Change-Id: I7340954d9ca2fd11a6db2aa7cd5493d870181e23
    Reviewed-on: https://code.wireshark.org/review/12765
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit c9670e334c38f98da485b53bbd09571047836064)
    Reviewed-on: https://code.wireshark.org/review/12766

commit 7386418
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Dec 20 16:41:24 2015 -0800

    Squelch some compiler warnings.
    
    Change-Id: Iee46c43498f42e19dfab0178e80743d35d843d2d
    Reviewed-on: https://code.wireshark.org/review/12762
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit f553431ad0340355885fc9820f5727205c44e7c4)
    Reviewed-on: https://code.wireshark.org/review/12763

commit d927cfe
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Dec 20 16:30:39 2015 -0800

    Rename some variables to make it a bit clearer what they are.
    
    rec_length_remaining is the amount of data we haven't already read from
    the record; it starts out as the record length and gets decreased.  It
    is not the length of data in the packet.
    
    Change-Id: I46cd78e29aee13a686f1f6c8efbe258277e15686
    Reviewed-on: https://code.wireshark.org/review/12759
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 1a5ed10bad99a96389d0ccbee5d7804c8cf98a0a)
    Reviewed-on: https://code.wireshark.org/review/12760

commit dcba250
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Dec 20 15:18:37 2015 -0800

    Add bounds checks and fix a length argument.
    
    Before reading the record header of a REC_FRAME{2,4,6} record, make sure
    the record length is >= the length of that header.
    
    Whe calling fix_pseudo_header(), pass the actual length of the packet
    data, not the remaining length of the record (which may include
    padding), so we don't read past the end of the packet data.
    
    Bug: 11827
    Change-Id: I1c63a4cb014c4616ffdd202660e68c576f266872
    Reviewed-on: https://code.wireshark.org/review/12756
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 53a3e53fce30523d11ab3df319fba7b75d63076f)
    Reviewed-on: https://code.wireshark.org/review/12757

commit 7008907
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Dec 20 09:19:21 2015 +0100

    Qt: Fix Confirm unsaved capture files preference.
    
    Set initial value for confirmUnsavedCheckBox.
    
    Change-Id: I7dfebf21e516a9d1be1bd3f543a00834222c9ff7
    Reviewed-on: https://code.wireshark.org/review/12739
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 25e417f01a25e3c862135659f7a2df50f2c1e61a)
    Reviewed-on: https://code.wireshark.org/review/12754

commit 3d3f8a3
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Dec 20 08:17:50 2015 -0800

    [Automatic update for 2015-12-20]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Ib9594391c069fae57bc461d3d7042a190c6abe2b
    Reviewed-on: https://code.wireshark.org/review/12748
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5cf5e26
Author: Christian Tellefsen <chris-git@tellefsen.net>
Date:   Sun Dec 20 11:02:04 2015 +0100

    Add %ProgramW6432% to the list of search paths when looking for 7-Zip.
    
    This allows a 64bit 7-Zip installation to be located even though
    win-setup.ps1 is run by a 32-bit process.
    
    This applies to 64bit Windows (7, 10, Server 2008 R2, Server 2012).
    Tested on 2012.
    
    Ref:
    https://msdn.microsoft.com/en-us/library/windows/desktop/aa384274%28v=vs.85%29.aspx
    
    Change-Id: I6f4f3226b25c890cd674bf4c4d9ea73ddfc8ece0
    Reviewed-on: https://code.wireshark.org/review/12740
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit aa002845d931e0a17a35c93385054bddc8524b18)
    Reviewed-on: https://code.wireshark.org/review/12742

commit b9493b0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Dec 19 10:24:47 2015 -0800

    Add missing ERF types, mention another missing type, mention reserved space.
    
    Add the TYPE_COLOR_HASH_POS and TYPE_COLOR_HASH_ETH types, note that
    type 26 has no #define, mention that types 28 through 31 are reserved
    for future record types.
    
    Change-Id: Ic828254599599c6bd7399d4682f9a3d4bff1f0f7
    Reviewed-on: https://code.wireshark.org/review/12728
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit f9a848ac308aa2da3542cea3119430c389d55e68)
    Reviewed-on: https://code.wireshark.org/review/12729

commit b83a7c4
Author: Anthony Coddington <anthony.coddington@endace.com>
Date:   Thu Nov 19 16:23:53 2015 +1300

    ERF: Add basic no-break support for ERF_TYPE_META.
    
    Update erf_open heuristic to not break when ERF_TYPE_META records are present.
    Remove check for maximum non-pad ERF type and add defines for reserved types.
    No dissection in this commit beyond record type name, this will come later.
    
    Change-Id: Ib64e450e26b2878b5519fb6afeafa2ce9477ac85
    Reviewed-on: https://code.wireshark.org/review/12708
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit dcfbf927055bb3e9a27fdcb78d8bd819c871a98e)
    Reviewed-on: https://code.wireshark.org/review/12726

commit e56437e
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Dec 17 21:58:01 2015 -0500

    Qt UI: use a default (and minimum) value of 2 for the number of files in a
    ring buffer.
    
    This matches the Gtk UI.
    
    (Note that the Qt UI's upper limit for this option (1k) is much lower than
    the Gtk UI's (100k).)
    
    Change-Id: Ie5b5b7b4bdb9205594ed7fcc38630a6268cc3acf
    Reviewed-on: https://code.wireshark.org/review/12711
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 714c59777a136dc75ef4de9dfce3136549fcece0)
    Reviewed-on: https://code.wireshark.org/review/12723

commit e6e19f8
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Dec 17 22:10:17 2015 -0500

    Qt UI: there's no need to capitalize kilobytes, megabytes, and megabytes in
    the ring buffer and autostop configuration sections.
    
    Change-Id: I2a260e4f9e52444ee9d6c072bce34067dd74cc19
    Reviewed-on: https://code.wireshark.org/review/12712
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 8d8f37e28c0676d1ebcd62de2ae730cafef99ea1)
    Reviewed-on: https://code.wireshark.org/review/12720

commit 15b570a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Dec 17 20:41:46 2015 +0100

    Qt: use recent.gui_bytes_view preference to remember bits / byte view
    
    While we are at it, let's centralize bytes_view_type definition
    
    Bug: 11903
    Change-Id: I606c779a8efaea668db1b440d3ae0336e6e3fc67
    Reviewed-on: https://code.wireshark.org/review/12706
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 47a4c8f395280bd78bbc733424bb409c00d2c390)
    Reviewed-on: https://code.wireshark.org/review/12715

commit 157ffd1
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Thu Dec 17 23:30:40 2015 +0100

    debian: Fix .deb package generation on wheezy
    
    Conflicts:
    	debian/control
    
    Bug: 11901
    Change-Id: Id2bfd33d05e74d197832af21a4ac701e0d84ab50
    Reviewed-on: https://code.wireshark.org/review/12709
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Reviewed-on: https://code.wireshark.org/review/12710
    Petri-Dish: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bc70b50
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Dec 16 23:41:13 2015 +0100

    Qt: reset columns when applying a display filter
    
    Bug: 11786
    Change-Id: I7d3b4139328adaf2f79f008a8772b3182c1eb1f0
    Reviewed-on: https://code.wireshark.org/review/12688
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 38cde83a5c178f8866d9337702733fae2c844363)
    Reviewed-on: https://code.wireshark.org/review/12704

commit 476d0b1
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Dec 16 13:07:27 2015 +0100

    ssl: Fix heartbeat message length.
    
    The length of the "Heartbeat Message" element is equal to the record
    length.
    
    Change-Id: I10010442db1615b61bad5f525aad4d49a4c8de29
    Reviewed-on: https://code.wireshark.org/review/12678
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit ba84919fa7a3dc7d07cd032c1134263d6c83fe8a)
    Reviewed-on: https://code.wireshark.org/review/12698

commit 6bf1d96
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Dec 16 22:35:13 2015 +0100

    Qt: deactivate "limit to display filter" checkbox when retapping
    
    Bug: 11848
    Bug: 11900
    Change-Id: I39bc1f6d8006ee9c258c986a69b460cf99c7e65a
    Reviewed-on: https://code.wireshark.org/review/12687
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit ad36e1b43ee756ae50a98f584ce723d83eebbbbf)
    Reviewed-on: https://code.wireshark.org/review/12693

commit b04b1d3
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Tue Dec 15 17:43:16 2015 +0100

    Add files missing from make dists's tarball
    
    Conflicts:
    	Makefile.am
    
    Bug: 11893
    Change-Id: I11e6a40856f224e65401b01fafb3e561950ec086
    Reviewed-on: https://code.wireshark.org/review/12663
    Petri-Dish: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/12686
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit 58dcefc
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Dec 15 19:47:02 2015 +0100

    Qt: save custom colors in recent_common file
    
    This allows to save colors across sessions for systems other than
    OSX that do not provide a system wide color picker
    
    While we are at it, let's stop reading the recent file twice at startup
    
    Bug: 11888
    Change-Id: I69ff14d699d8111fe6a8bdac0157fcd115a60c2b
    Reviewed-on: https://code.wireshark.org/review/12659
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit bfe73e3ad7162830c222a5b0d73433a72324baa5)
    Conflicts:
    	ui/recent.c
    Reviewed-on: https://code.wireshark.org/review/12672

commit 5ba8302
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Tue Dec 15 17:30:40 2015 +0100

    debian: Sync patches with Debian
    
    Change-Id: Iec369a7c5ecd559310198efca2cadb56a449de49
    Reviewed-on: https://code.wireshark.org/review/12662
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 7ce903bee7b01558361b98e6cd6481ed1e257156)
    Reviewed-on: https://code.wireshark.org/review/12673
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit a2ea9c6
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Dec 11 11:41:07 2015 +0100

    Qt: fix memleaks related to interface dialog
    
    Also fix a not-so-problematic recent files "leak" when quitting
    Wireshark.
    
    Change-Id: I8556b07c197f0934f93d6da8c573c47fbd3fc060
    Reviewed-on: https://code.wireshark.org/review/12529
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit e3dd3f97f1f2afe18501adcfac9400ddc3e3c0a5)
    Reviewed-on: https://code.wireshark.org/review/12670

commit 75b85f1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Dec 15 17:19:37 2015 -0800

    Report an error if the IP total length is bigger than the containing length.
    
    Change-Id: Ib5990fce89304808a585a99164c0176899acbbb7
    Reviewed-on: https://code.wireshark.org/review/12667
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit a257ede0fa46e5cd9e81313d7a9c9c48294edb9b)
    Reviewed-on: https://code.wireshark.org/review/12668

commit e22b3ed
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Dec 15 16:39:27 2015 -0800

    Don't report an error for a non-multiple-of-4 chunk length.
    
    To quote RFC 4960:
    
    Chunk Length: 16 bits (unsigned integer)
    
          This value represents the size of the chunk in bytes, including
          the Chunk Type, Chunk Flags, Chunk Length, and Chunk Value fields.
          Therefore, if the Chunk Value field is zero-length, the Length
          field will be set to 4.  *The Chunk Length field does not count any
          chunk padding.*
    
          Chunks (including Type, Length, and Value fields) are padded out
          by the sender with all zero bytes to be a multiple of 4 bytes
          long.  This padding MUST NOT be more than 3 bytes in total.  The
          Chunk Length value does not include terminating padding of the
          chunk.  However, it does include padding of any variable-length
          parameter except the last parameter in the chunk.  The receiver
          MUST ignore the padding.
    
          Note: A robust implementation should accept the chunk whether or
          not the final padding has been included in the Chunk Length.
    
    so the the chunk is *not* required to include the length of the final
    padding in the chunk, although any padding *between* variable-length
    parameters in the chunk must be included in the length (obviously, as
    it's part of the chunk data).
    
    Change-Id: I99d64fdd907c41229aa9ad10a230fff4bcdfa5f4
    Reviewed-on: https://code.wireshark.org/review/12664
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 68ca26ec75fb9cccbb64a859cafa1fb2c3d0cce7)
    Reviewed-on: https://code.wireshark.org/review/12665

commit 47953f4
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Dec 15 09:15:51 2015 +0100

    Qt: apply '-Y' display filter unconditionally and not only when opening a capture file
    
    Bug: 11891
    Change-Id: I20c4497bdf255627c845f5d6fba2ad7797815b08
    Reviewed-on: https://code.wireshark.org/review/12645
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 3efc87726ca29543efd1e413e414703dc87defa8)
    Reviewed-on: https://code.wireshark.org/review/12649
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c1e986a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Dec 15 09:01:37 2015 +0100

    Qt: resize Follow Stream conversation QComboBox to its content
    
    Bug: 11887
    Change-Id: Ibc3bd6ed8c0615f8bcf417ca1ba4d872f81ade92
    Reviewed-on: https://code.wireshark.org/review/12644
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 9ad40ff6c91115c9e9cb86f2d257260479e63706)
    Reviewed-on: https://code.wireshark.org/review/12647

commit 72212d7
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Dec 15 08:52:09 2015 +0100

    Qt: TCP/UDP streams are off by one in follow stream window
    
    Bug: 11889
    Change-Id: I6a274c8b1df8b78f4063534d534002848bd0f199
    Reviewed-on: https://code.wireshark.org/review/12642
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 01de59202d79acc1b5d6532f8501bf7a169e9604)
    Reviewed-on: https://code.wireshark.org/review/12643

commit 56f329d
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Dec 14 22:17:46 2015 +0100

    Lua: Fix switch-case braces.
    
    + fixed a comment.
    
    Change-Id: Ib1a8449054afde3b4df7ad57f0c3da07016281c2
    Reviewed-on: https://code.wireshark.org/review/12635
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 39cc323722b0aee95cad3febee628737dc7981cb)
    Reviewed-on: https://code.wireshark.org/review/12636

commit 3f31b77
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Dec 14 20:08:20 2015 +0100

    Lua: Free Pref enum values
    
    Free the Pref enum values in Pref__gc().
    
    Change-Id: I4d66dbe7ee4879f3b14094135887d78cba876ea3
    Reviewed-on: https://code.wireshark.org/review/12628
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 28207e5b82e7b667b2ea3bd15445b03e4fa7e6d5)
    Reviewed-on: https://code.wireshark.org/review/12633

commit a48dda7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 14 11:24:53 2015 -0800

    Add comments to explain what we're doing with strings.
    
    Change-Id: I043d02092464ec8cbbec08d11b29dfee248116bf
    Reviewed-on: https://code.wireshark.org/review/12629
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 56584b52e09ae806d85210c1f16f586db1c0d9bd)
    Reviewed-on: https://code.wireshark.org/review/12632

commit a745690
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Dec 14 19:40:51 2015 +0100

    Lua: Free Pref default string
    
    Store the Pref default string value and ensure this is freed both
    when registering the pref and when not.
    
    Use g_malloc0 to allocate Pref and avoid several init's.
    
    Change-Id: I5f97a15d06068d7805f02f7c7feea61f9b2030f5
    Reviewed-on: https://code.wireshark.org/review/12626
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 5625b62aa417c23102f254268563995773582e39)
    Reviewed-on: https://code.wireshark.org/review/12631

commit a8bd89e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Dec 13 15:37:18 2015 -0800

    No need to free the value of a string preference in the garbage collector.
    
    The preference has already been deregistered at that point, so the value
    of the preference has been freed and the pointer to it has been set to
    null, so it's already been freed and its pointer no longer points to it
    and the free from Lua will do nothing.
    Change-Id: I11bf74932303151483cd3699659f67d64b466759
    Reviewed-on: https://code.wireshark.org/review/12606
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 3d0f9a4397125af15f40ab29e3fd1ad0ae2aae1a)
    Reviewed-on: https://code.wireshark.org/review/12630

commit 08a43e3
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Dec 12 16:00:33 2015 +0100

    [ppi] initialize phdr to 0
    
    to make sure that it's not used without prior initialisation
    
    Bug: 11876
    Change-Id: Ic19279b01dfd7ac4be596b3aeb537e31604e4147
    Reviewed-on: https://code.wireshark.org/review/12573
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 2290eba5cb25f927f9142680193ac1158d35506e)
    Reviewed-on: https://code.wireshark.org/review/12595
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a56d0a2
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Dec 13 13:32:34 2015 +0100

    ui: Read and write correct recent timestamp format
    
    Rewrite to use value_string to ensure correct value strings used,
    to add backward compatibility and to avoid global-buffer-overflow
    in possible future inconsistencies.
    
    This bug was introduced in 2a088c1d when adding new timestamp formats.
    
    Change-Id: I1bf4ac8427db92bfb56b4e5b90809fe08eebed20
    Reviewed-on: https://code.wireshark.org/review/12597
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 97a97ec
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Dec 12 23:28:26 2015 +0100

    Qt: Removed applyRecentColumnWidths from recentFilesRead
    
    Adjusting column widths from recent settings is only needed
    when columns has changed.
    
    Don't recreate the columns when changing timestamp options or
    name resolution, only reset columns.
    
    Change-Id: I4c9a9f63c34542935dd282188d98b2b5b013c5f3
    Reviewed-on: https://code.wireshark.org/review/12579
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit e73fc7e51e29382974e820bc72a859ef9caba693)
    Reviewed-on: https://code.wireshark.org/review/12596

commit f0a4788
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Dec 13 10:05:06 2015 -0800

    Explicitly specify the template for the mktemp command.
    
    Not all versions of mktemp support omitting the template; in particular,
    the one provided by some BSD-flavored OSes don't.
    
    Change-Id: I657e002559dce165c677a473aa10bb17cc506037
    Reviewed-on: https://code.wireshark.org/review/12592
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit e01f8fb3ad4e635a09f8beb88cb1fcc0baeb0232)
    Reviewed-on: https://code.wireshark.org/review/12593

commit d71e241
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Dec 13 08:19:03 2015 -0800

    [Automatic update for 2015-12-13]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Ie4ad653069bf0f225a201960dfb685f12ab3fa6c
    Reviewed-on: https://code.wireshark.org/review/12589
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 254731e
Author: Anish Bhatt <anish@chelsio.com>
Date:   Sat Dec 12 13:54:29 2015 -0800

    NBAP : Verify conversation proto data exists before trying to access it
    
    
    Bug 11841
    Change-Id: Ic0dea6491a68a042ddc0f2dbee19739e4568b18c
    Reviewed-on: https://code.wireshark.org/review/12576
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 23379ae3624df82c170f48e5bb3250a97ec61c13)
    Reviewed-on: https://code.wireshark.org/review/12585

commit 496009a
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Dec 13 12:41:59 2015 +0100

    Qt: Start with correct seconds format
    
    Set seconds type from recent values at startup.
    
    Change-Id: I761f4e25f41cf9eae666196fe5cd69ef9f87556f
    Reviewed-on: https://code.wireshark.org/review/12582
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit cda4b0f4b7014ad4c9f7cd5ab36e1b07952e64be)
    Reviewed-on: https://code.wireshark.org/review/12583

commit 5e56fea
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Dec 11 17:43:35 2015 +0100

    Qt: validate format string before calling strftime()
    
    According to https://msdn.microsoft.com/en-us/library/fe06s4ak.aspx
    an invalid string will trigger invalid parameter handler
    
    Also check the validity of each field before activating import button
    
    Bug: 11873
    Change-Id: I9fc1c6e061a02354690871410f0e2cf2e0dd86a7
    Reviewed-on: https://code.wireshark.org/review/12537
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit f06bbe37c12c7788702cc8649e3da1f18c730931)
    Reviewed-on: https://code.wireshark.org/review/12580

commit 265b394
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Dec 12 21:12:47 2015 +0100

    Qt: Apply recent column widths when columns changed
    
    When changing columns in the preferences or when removing a column
    from the packet list header menu we need to apply recent column
    widths to preserve the remaining columns widths.
    
    Change-Id: Ie5c074722424b5cee31af3b6953ab1b026ba7fa5
    Reviewed-on: https://code.wireshark.org/review/12575
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 5133221a1929ce0bc903c64cf340e2fc5d08a9dc)
    Reviewed-on: https://code.wireshark.org/review/12578

commit cfe5da7
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Dec 11 16:30:39 2015 -0800

    Ping on Windows isn't necessarily IPv4-only.
    
    The default prefix policy on modern versions of Windows prefers IPv6.
    This in combination with the fact that our ping target (www.wireshark.org)
    currently has both A and AAAA records might result in ICMPv6 traffic
    instead of ICMPv4. Update the capture test suite accordingly.
    
    Change-Id: I5c88f24fb9458526ffd44c5003f09247b6999ce7
    Reviewed-on: https://code.wireshark.org/review/12553
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 4454fb02c7d37803d99c9a1228db35b2c8f75220)
    Reviewed-on: https://code.wireshark.org/review/12577
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 07dbf78
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Dec 11 21:48:58 2015 -0500

    Increase ZBEE_ZCL_APPL_EVTALT_NUM_STRUCT_ETT to match ZBEE_ZCL_APPL_EVTALT_COUNT_NUM_MASK, to prevent invalid ett_ array access.
    
    Change-Id: I67e79e97e13081a77bb5202cbbc1e4f1ee872c95
    Reviewed-on: https://code.wireshark.org/review/12556
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit eb0c034f6e4cdbf5ae36dd9ba8e2743630b7bd38)
    Reviewed-on: https://code.wireshark.org/review/12570

commit b11c868
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Dec 11 21:43:53 2015 -0500

    Range check ett_ array access.
    
    Bug: 11830
    Change-Id: I010093f0ee6f876161de0aca24ea5037616d0039
    Reviewed-on: https://code.wireshark.org/review/12555
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 9352616ec9742f2ed3d2802d0c8c100d51ca410b)
    Reviewed-on: https://code.wireshark.org/review/12568

commit aba3635
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Dec 11 22:23:59 2015 -0500

    [RSL] Just return rest of packet if TLV type is unknown
    
    Bug: 11829
    Change-Id: Id31ec9ee970c3a1e1fe64e3bf823f9ab78f7cd9e
    Reviewed-on: https://code.wireshark.org/review/12558
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 2930d3105c3ff2bfb1278b34ad10e2e71c3b8fb0)
    Reviewed-on: https://code.wireshark.org/review/12563

commit dbd3e6b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Dec 11 22:20:33 2015 +0100

    Update USBPcap installer packaged
    
    NSIS script modified to:
    - check for KB 3033929 presence on Windows 7 / 2008R2 (as we sign drivers with a SHA2 certificate)
    - do not delete the installation folder if not empty
    
    Bug: 11766
    Change-Id: I5c7b6378b0775bb75c1b9e58e503997176c12213
    Reviewed-on: https://code.wireshark.org/review/12546
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 6c38ec1aab82d5347451ba3a0058cd81f4218daa)
    Reviewed-on: https://code.wireshark.org/review/12562

commit 877dba1
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Sat Dec 12 03:51:07 2015 +0000

    cmake: Fix platform introspection for inet_aton() [-Wredundant-decls]
    
    Change-Id: Icd6b8de0a70dd33e70bb0ad4d5c39ffc15454e8c
    Reviewed-on: https://code.wireshark.org/review/12559
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 5a26599a4bd3b5788b318abbeb0e7f140051ccf1)
    Reviewed-on: https://code.wireshark.org/review/12560

commit aa16686
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Dec 11 17:00:05 2015 -0800

    Clamp zooming so that we don't get zero or negative font sizes.
    
    Those are obviously wrong.
    
    Also, clean up some stuff left over from the GTK+ 1.x days; GTK+ 2.x
    doesn't expose raw XLFD font names, it lets you specify a font by name
    and size, and font_zoom() doesn't determine whether the font is
    resizeable - it just constructs a new font name/size pair and leaves it
    up to its callers to try to load the font, so "there's no such font as
    Wingdings Gothic" and "you can't blow up Fraktur to 10 million points"
    both show up as errors loading the font by name.
    
    Bug: 8854
    Change-Id: I6af142c75c9ebabd1a95308c203f8cb1f36dd82f
    Reviewed-on: https://code.wireshark.org/review/12549
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b8b77aecc38f8ada88de78939e4d35d0fa535bd4)
    Reviewed-on: https://code.wireshark.org/review/12550

commit 66bbc40
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Dec 11 17:54:03 2015 +0100

    Lua: Check for empty name in ProtoField
    
    The check in tmp_fld_check_assert() does terminate with g_error
    if given an empty string as name, so we have to check for this.
    
    Change-Id: I084e3e715bd319484a52f60ef90c1a2aea30df1b
    Reviewed-on: https://code.wireshark.org/review/12534
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit b031e538f707cead2aa3e9d956eb88ff1d0db4fc)
    Reviewed-on: https://code.wireshark.org/review/12535

commit febc943
Author: D. Ulis <daulis0@gmail.com>
Date:   Thu Dec 10 23:19:46 2015 -0500

    ENIP: Add sanity check when connection info not available
    
    If the connection info is not available, ensure that enough connected data is available to meet the minimum explicit message size.
    
    Conflicts:
    	epan/dissectors/packet-enip.c
    
    Change-Id: I6c8bf54dda4adbf23749d2a2c8c19f4ea2bc5222
    Reviewed-on: https://code.wireshark.org/review/12520
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-on: https://code.wireshark.org/review/12533
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: D. Ulis <daulis0@gmail.com>

commit f0aeef8
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Dec 11 08:40:59 2015 +0100

    Lua: Validate ProtoExpert.new arguments
    
    Change-Id: I0da829041cda48a35341c315a7889b557b6334d7
    Reviewed-on: https://code.wireshark.org/review/12527
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit f142595db72955260976d4257592032bef7d492a)
    Reviewed-on: https://code.wireshark.org/review/12528

commit 6aaaf16
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Dec 10 14:10:17 2015 +0100

    Qt: Reload Lua expert infos
    
    Support reloading Lua plugins with expert infos.
    Use the same delayed deregister logic as for fields.
    
    Change-Id: I36efa0820050b3a7afed4de7a8b0fa16805e8dfa
    Reviewed-on: https://code.wireshark.org/review/12498
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit ea1789f925f49027e6b2864e6cc846b7016dc13b)
    Reviewed-on: https://code.wireshark.org/review/12526
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 85f3efa
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Fri Dec 11 01:24:45 2015 +0000

    MIPv6: Fix unknown MH Type message data length
    
    Also improve column info for unknown MH types.
    
    Ping-Bug: 11728
    Change-Id: I4e54ae56dbb76eaf9ea4f33eb0ff497a518dbd9a
    Reviewed-on: https://code.wireshark.org/review/12513
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 00eb71ac32e2736c85147ad5addf7ceed1e20db6)
    Reviewed-on: https://code.wireshark.org/review/12525

commit e8ef139
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Fri Dec 11 01:04:13 2015 +0000

    6LowPAN: Check for NHC IPv6 No Next Header
    
    Bug: 11728
    Change-Id: I7b7cc72b4200e53856283e0716383d661a16fa77
    Reviewed-on: https://code.wireshark.org/review/12512
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit e8b8568b7c5d0035a13b6f0dd93a5406ffff0b13)
    Reviewed-on: https://code.wireshark.org/review/12523

commit 8a32bd5
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Dec 10 22:15:21 2015 +0100

    ssl: fix SSLv2 Client Hello dissection
    
    Regression introduced with v1.99.4rc0-112-gf0855e0 ("Remove
    proto_tree_add_text from packet-ssl.c").
    
    While SSL decryption is not needed on the second pass, the items still
    have to be added.
    
    Bug: 11851
    Change-Id: Iccb43f2ccff19bbe6d998fb08600b226ac054825
    Reviewed-on: https://code.wireshark.org/review/12510
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit c96b78f28d72fb2ad05a6370ffb6708be55a5030)
    Reviewed-on: https://code.wireshark.org/review/12522

commit 60ddbdd
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Dec 10 11:46:36 2015 +0100

    Qt: restore conversation coloring rule shortcuts
    
    GTK+ had this very useful Ctrl+1 .. Ctrl+9 shortcuts for conversation
    coloring rules. Add this functionality to Qt too.
    
    Ctrl+0 is not ported though, this now means "Restore zoom" which is
    quite logical. Also, Ctrl+= (shortcut in GTK+) somehow does not work in
    Qt 5.5.1 (it is detected as Ctrl++ instead).
    
    Change-Id: I5528c723ef6d4ea11298a135db8539a8d03d9aae
    Reviewed-on: https://code.wireshark.org/review/12506
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 19cbcca5941abd7be7c37135f367853751980977)
    Reviewed-on: https://code.wireshark.org/review/12521

commit 6fcaf3a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Dec 10 17:51:22 2015 +0100

    Fix link to Display Filter wiki page in WSUG
    
    Reported by Thomas Guttler in https://wireshark.org/lists/wireshark-dev/201512/msg00069.html
    
    Change-Id: Ia482f01e30b734ddfd9ca21081cf4401d26e827b
    Reviewed-on: https://code.wireshark.org/review/12503
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 1ffbd2ae9d4e839460717e9886aeb2661dd1e3ea)
    Reviewed-on: https://code.wireshark.org/review/12504

commit bed991a
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Dec 10 14:03:27 2015 +0100

    Qt: Reset preferences when reloading Lua plugins
    
    Reading configuration files may duplicate some entries, so ensure
    we reset preferences before reloading.
    
    Change-Id: I746414cbc10c206ddf47669856f329b9e0202a0d
    Reviewed-on: https://code.wireshark.org/review/12496
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit bfcd1e65141c7929e447132fcb26f4044276ec20)
    Reviewed-on: https://code.wireshark.org/review/12500

commit 316e153
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Mon Dec 7 21:31:36 2015 +0100

    debian: Build-depend on qtmultimedia5-dev and libqt5svg5-dev to enable more Qt features
    
    Change-Id: I14ff81898cd9154805d35ab67976b354e50fbe16
    Reviewed-on: https://code.wireshark.org/review/12471
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    (cherry picked from commit 0d209640e2dacbe9d0f560d27819ab7bc9992f52)
    Reviewed-on: https://code.wireshark.org/review/12495
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d86a5bc
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Dec 3 21:31:47 2015 +0100

    Qt: Disable Refresh Interfaces while refreshing
    
    Doing multiple Refresh Interfaces simultaneously will end up in
    duplicated interfaces.
    
    Change-Id: If9bb4252bbfabc557b78ad42efc0011050012417
    Reviewed-on: https://code.wireshark.org/review/12414
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 7e06334a87faf64c58a8dbc916480027a21a3aef)
    Reviewed-on: https://code.wireshark.org/review/12489

commit dbe58be
Author: D. Ulis <daulis0@gmail.com>
Date:   Mon Dec 7 10:20:19 2015 -0500

    CIP: Ensure that all generated data is properly flagged as Generated and no lengths are set for it.
    
    This ensures:
    1. Generated data shows inside brackets [], so it's obvious that the data was actually generated.
    2. Clicking on generated data should not highlight bytes in the packet. Previously, this would sometimes highlight parts of the response packet that were unrelated.
    3. Fixes some assertions that hit in PDML exporting code, due to wrong data locations being referenced.
    
    Bug: 11863
    Change-Id: Ia7ea9d886c8fff0c302088bed44b974ff9447a92
    Reviewed-on: https://code.wireshark.org/review/12468
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 0a33e352f4116b850cded331482e3a9171cc6306)
    Reviewed-on: https://code.wireshark.org/review/12488

commit 8ca1c8c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Dec 6 22:29:53 2015 +0100

    Qt: various fixes to VoIP calls / RTP player windows
    
    - Flush any remaining tapped packets before emitting captureFileRetapFinished().
      This ensures that all packets have been treated before returning from retapPackets().
    - Remove VoIP tap listeners when captureFileRetapFinished() is emitted.
      This avoid summing stats each time the RTP player is opened, leading to wrong
      information in VoIP calls window
    - Change voip_calls_tapinfo_t redraw member from a boolean to bitmap so as to identify
      which tap should call the tapinfo->tap_draw() callback. This allows fixing a race condition
      where the RTP player can be empty in Qt UI
    - Reset some more statistics in voip_calls_reset_all_taps()
    
    Change-Id: Ie7681702c81d338185c1813f2d340a437edf3a04
    Reviewed-on: https://code.wireshark.org/review/12474
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit afaf929d0da03a27ef8824eac3c6b45b4419b062)
    Reviewed-on: https://code.wireshark.org/review/12487

commit 9051613
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Dec 8 21:47:38 2015 -0500

    Qt: store the absolute path names of recent files.
    
    That way you can still open a file you recently opened (which was in your pwd)
    even if you happen to change directories (as shell-prompt-dwellers such as
    myself are wont to do).
    
    (The Gtk GUI already stores absolute paths.)
    
    Change-Id: If29bcc25d680825c659f8eb4f13b108764029652
    Reviewed-on: https://code.wireshark.org/review/12483
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit eb9d7ebb20976a57ba9693f5f7b5277675849471)
    Reviewed-on: https://code.wireshark.org/review/12486

commit c9e8b87
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Dec 5 10:16:46 2015 +0100

    androiddump: fix crash on Windows when running in verbose mode
    
    As explained in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6695#c2
    g_frpintf unfortunately crashed on Windows. Let's go back to fprintf instead.
    It will create warnings with MSVC2015 but we do not use it officially yet and
    at least androiddump will be working correctly again.
    
    Change-Id: Idfdb608576e18af63650af80e01bcda36dd81ac4
    Reviewed-on: https://code.wireshark.org/review/12435
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 1a1893ad54a402bda3b77262ecaf68cfe9831368)
    Reviewed-on: https://code.wireshark.org/review/12477

commit 8bd5bcc
Author: michal.orynicz <michal.orynicz@tieto.com>
Date:   Wed Nov 4 13:57:50 2015 +0100

    Fix crash caused by nullptr in packet_list
    
    Fix crash caused by nullptr returned from proto_registrar_get_byname
    in packet_list.cpp
    
    Change-Id: If8324bf7c926585e964a11b27817f73d444beec4
    Reviewed-on: https://code.wireshark.org/review/11558
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    (cherry picked from commit 2f2c8788a93f84b239fc0c0aaf158656d298c6d1)
    Reviewed-on: https://code.wireshark.org/review/12476
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 6d1d9b6
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Mon Dec 7 17:56:22 2015 +0100

    opcua: fix order of ExpandedNodeId bits
    
    Make fields appear from right to left bit instead of mixed
    
    Change-Id: I78152eab6901440f483b0af7d2395edebaa7ab3d
    Reviewed-on: https://code.wireshark.org/review/12469
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 3a4d387658b9e8455ca645952a98c71d1b03b1a6)
    Reviewed-on: https://code.wireshark.org/review/12475

commit a514633
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Dec 7 13:28:30 2015 +0100

    Qt: Align extcap label and edit widgets
    
    Change-Id: I5c1bff7bf3fadffb198ed2c5c96dac06d9e28c81
    Reviewed-on: https://code.wireshark.org/review/12462
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 993690d1eeb3229dc981460426eb0b6288adb380)
    Reviewed-on: https://code.wireshark.org/review/12473

commit 61bc6db
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Dec 6 12:08:52 2015 -0800

    Qt: Set the packet list width when we apply recent column widths.
    
    Instead of messing with stretchLastSection, simply widen the packet list
    to the sum of our column widths. Do this whenever recent column widths
    are applied instead of only when the packet list is shown.
    
    Bug: 11849
    Ping-Bug: 11738
    Change-Id: If8f8c9a89da08387bbce38c663bbbe1d8f7e649a
    Reviewed-on: https://code.wireshark.org/review/12455
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 5f00849b9769e7691832de56d1ee1bc9f846c6ed)
    Reviewed-on: https://code.wireshark.org/review/12467

commit 5013fdd
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Dec 7 13:42:26 2015 +0100

    extcap: Fix extcap_example.bat arguments wildcard
    
    Change-Id: I3aa1b14e8047e4eec14464db80d7e03fa7a5dc57
    Reviewed-on: https://code.wireshark.org/review/12464
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit ca9970cd27fc110eaa455c076038402314e4d95c)
    Reviewed-on: https://code.wireshark.org/review/12466

commit 29daa1d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Dec 6 19:57:50 2015 +0100

    MIP6: Don't no need to have a another subtree (with wrong length for LLA)
    
    Bug: 10627
    Change-Id: Ia6940ef7624a92d453cada6693bcd7f4e145a5b6
    Reviewed-on: https://code.wireshark.org/review/12453
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 0d2fce11894f9e91959341ad9ee38bf9da296547)
    Reviewed-on: https://code.wireshark.org/review/12458

commit 943151c
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Dec 6 21:59:01 2015 +0100

    Qt: It's no translation for "%1 %2"
    
    Change-Id: If50a19b34b5f1c0076fcee76e59a45c307a9b2db
    Reviewed-on: https://code.wireshark.org/review/12456
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit a18af795fafb562452446118e322f0f73c799d65)
    Reviewed-on: https://code.wireshark.org/review/12460
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 8421c8f
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Dec 6 08:18:09 2015 -0800

    [Automatic update for 2015-12-06]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Id53b861c8427393d41611a573d706e06df32b0ad
    Reviewed-on: https://code.wireshark.org/review/12451
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 743751f
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Dec 6 12:15:53 2015 +0100

    Qt: No path for created and renamed profiles
    
    The path is not valid for created and renamed profiles because the
    directory is not created yet.  Use this label as a info label to
    describe where the profile is created from or renamed from instead.
    
    Use correct path for the Default profile.
    Removed Bold from the current profile in status bar list.
    Added tooltip for system provided profiles.
    
    Change-Id: I61c8b1cc811dd9f9419ff9e373a8d00aa4e30446
    Ping-Bug: 11704
    Reviewed-on: https://code.wireshark.org/review/12447
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 3cc9db57dfe32c45cf3521faff0bdaead87c5f2c)
    Reviewed-on: https://code.wireshark.org/review/12449

commit b561fab
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Dec 5 09:44:19 2015 -0800

    Undoing base-64 encoding is not decryption.
    
    For now, we don't change the name of the preference, but we *do* change
    the description of the preference and the name of the variable.
    
    Change-Id: I1f80b2e7187679dca787fda5f3d06e9d30536ddc
    Reviewed-on: https://code.wireshark.org/review/12444
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b3fa4f34f401a4d675c8fb936b1547b0a8fda5c2)
    Reviewed-on: https://code.wireshark.org/review/12445

commit 682f456
Author: Andreas Urke <arurke@netwurke.com>
Date:   Sat Dec 5 16:40:58 2015 +0100

    Fix for bug 11856:
    Correct parameter-name "opt-offset" to "offset" in macro
    "tvb_eui64_to_str" in epan/to_str.h such that offset is taken into account
    when converting eui64 to str.
    
    Bug: 11856
    Change-Id: Id0b17c4b9186b4c41d6fe338ba7c017e88f63acf
    Reviewed-on: https://code.wireshark.org/review/12441
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit b7d1eedeb3cd7f3e0250dbe53828adfa10f4d06c)
    Reviewed-on: https://code.wireshark.org/review/12442

commit 69478ad
Author: Lotte Steenbrink <lotte@zombietetris.de>
Date:   Fri Dec 4 14:32:12 2015 +0000

    packetbb: fix the display of IPv4 addresses
    
    IPv4 Addresses are currently displayed incorrectly in RFC5444 Addressblocks.
    For example, what should be `Address: 10.1.3.0` is incorrectly rendered as
    
            Address: 0.0.0.10
    
    This commit fixes that.
    
    Bug: 11852
    Change-Id: Id6dc954e9a06e79375058f6070fe8e0f64167d64
    Reviewed-on: https://code.wireshark.org/review/12429
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 4d337f421389e901bf1d4246f9ecb2f7b363aef0)
    Reviewed-on: https://code.wireshark.org/review/12438

commit 5b58083
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Dec 4 09:02:35 2015 -0800

    CMake+PortableApps: Include the VC runtime (second try).
    
    Move the code that finds the Visual C++ redistributable DLLs to its
    own module. Run it before we create our NSIS and PortableApps targets.
    Add a PortableApps target that copies the redistributable
    
    This reverts commit 403fa9fbe0cdba3f443ec4674cda40092525ffe4.
    
    Bug: 11800
    Change-Id: I081d8fd3f5f37dd590659ca8f2bd309642a9a9df
    Reviewed-on: https://code.wireshark.org/review/12431
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6cd2e4c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Dec 4 11:44:29 2015 +0100

    Qt: fix a potential memory leak in RTP audio stream playback
    
    Change-Id: I6847f85d56841f99594063bfb7441d0c40e452a7
    Reviewed-on: https://code.wireshark.org/review/12425
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 2e4be481b8bdfd27953069416b23e2d602ddea53)
    Reviewed-on: https://code.wireshark.org/review/12426

commit 92550f0
Author: Shinjo Park <peremen@gmail.com>
Date:   Thu Dec 3 23:21:42 2015 +0100

    Modify application description of Wireshark in Korean. The transliteration "네트워크" and "네트웍" is mixed in single file, but the former is standard notation.
    
    Change-Id: Ie67a449a2269daef33c627bd4cf77434eeacf22b
    Reviewed-on: https://code.wireshark.org/review/12418
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 687b2dcadc22e2404c9ad7516eca2fa868338120)
    Reviewed-on: https://code.wireshark.org/review/12419

commit 4e3e6dd
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Dec 3 13:20:58 2015 -0800

    Make the gauntlet a bit clearer.
    
    	if(is a fixed-length TDS type)
    	{
    		XXX
    	}
    	else if(is a variable-length TDS type)
    	{
    		XXX
    	}
    
    Change-Id: Icaa8047ad76abe8b955fb5a025a057ddf8757b1f
    Reviewed-on: https://code.wireshark.org/review/12415
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit f670b99aea02bb4a320f63b2bfa09764c569436c)
    Reviewed-on: https://code.wireshark.org/review/12416

commit d1c684e
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Dec 3 10:22:23 2015 +0100

    Qt: Update menus with new recent settings when changing profile
    
    Update all View options to new recent settings to reflect the changes.
    Also show/hide toolbars and packet panes accordingly.
    
    Change-Id: Idb07bd5c51c01810b1f4467d2401936dc533731b
    Reviewed-on: https://code.wireshark.org/review/12405
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit d7ddebbfb23f39593b1c7686d1f2802c416d17f4)
    Reviewed-on: https://code.wireshark.org/review/12411

commit fb474aa
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Dec 3 10:32:25 2015 +0100

    Qt: Set timestamp precision when changing profile
    
    Change-Id: I85622a8e2689283017ba038ce61d98e22f1c1af3
    Reviewed-on: https://code.wireshark.org/review/12403
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 28bb60fd485615e19b631411ce9706050359d76f)
    Reviewed-on: https://code.wireshark.org/review/12404

commit 403fa9f
Author: Anders Broman <a.broman58@gmail.com>
Date:   Thu Dec 3 09:21:14 2015 +0000

    Revert "CMake+PortableApps: Include the VC runtime."
    
    This reverts commit 0223249c8c74794a06ae76b29e12681ad5e3ebe4.
    
    Change-Id: I851bd18c9674eae8fdd737781124c9bbf1c8a932
    Reviewed-on: https://code.wireshark.org/review/12402
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 01815bf
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Dec 2 21:08:09 2015 -0500

    [MP2T] Reading buffer should have MP2T_SIZE+TRAILER_LEN_MAX space to give room for non-zero trailer.
    
    Bug: 11820
    Change-Id: I7e0a603c20ca0c524399beb3d89e14c45dc3a06e
    Reviewed-on: https://code.wireshark.org/review/12393
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit baa3eab78b422616a92ee38551c1b1510dca4ccb)
    Reviewed-on: https://code.wireshark.org/review/12399

commit ad90cce
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Dec 2 17:51:00 2015 -0800

    Qt: Disable setStretchLastSection in the packet list.
    
    QTreeView sets the stretchLastSection property of its header by default.
    In our case this means that if the sum of our recent column widths
    exceeds the width of the packet list viewport QHeaderView will shrink
    the last column to fit.
    
    Disable setStretchLastSection. We want its behavior when our columns are
    too narrow so check for that in ::showEvent and temporarily enable it
    there.
    
    Bug: 11738
    Change-Id: Ia4aad63e4f4bf899891bcebb7032dc5ebeb74cc7
    Reviewed-on: https://code.wireshark.org/review/12392
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit bdf8034fb1a4dc33cf87f67ecf6e4c2c6cfb08be)
    Reviewed-on: https://code.wireshark.org/review/12398

commit 06a0e6f
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Dec 2 19:33:40 2015 -0500

    TDS: Sanity check number of columns to prevent crash.
    
    Bug: 11846
    Change-Id: I6eac46dc397263fe005e803730c5d3084bfb7f74
    Reviewed-on: https://code.wireshark.org/review/12397
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0223249
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Dec 2 22:15:08 2015 +0000

    CMake+PortableApps: Include the VC runtime.
    
    Move the code that finds the Visual C++ redistributable DLLs to its
    own module. Run it before we create our NSIS and PortableApps targets.
    Add a PortableApps target that copies the redistributable.
    
    Bug: 11800
    Change-Id: I61aeac041386b17c8f3c1d2a8cfb7b210bf98f84
    Reviewed-on: https://code.wireshark.org/review/12390
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0f98c6f
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Dec 2 21:25:47 2015 +0100

    Qt: Set main window font when changing profile
    
    The font is part of the preferences.
    
    Change-Id: Ibcdf1c06e92fc43547825b5fea9560e904003081
    Reviewed-on: https://code.wireshark.org/review/12386
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 0102033ca3dfdcef37cee5760fb6d4dc71418cab)
    Reviewed-on: https://code.wireshark.org/review/12396

commit 4af0b80
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Dec 2 22:15:28 2015 +0100

    Qt: Check display filter when changing profile
    
    The Display Filter Macros may have changed and if a macro is currently
    used in the display filter then cf_redissect_packets() will bail
    out in an assert if trying to apply an invalid filter.
    
    Change-Id: I842016360672d76d190454ce80ccc7604f2075b3
    Reviewed-on: https://code.wireshark.org/review/12388
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 6b7da34b4b8b6f5e6a0c7ee3bf4d2f3ec2af4333)
    Reviewed-on: https://code.wireshark.org/review/12395

commit 51a80e2
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Dec 2 19:39:31 2015 +0100

    Qt: fix selection of folder in UAT dialog
    
    Using getOpenFileName() even with ShowDirsOnly option does not work.
    Let's use the dedicated getExistingDirectory() method instead.
    
    Bug: 11842
    Change-Id: Ie22c4c479005467dbf64d9a90a8f3b82d355d495
    Reviewed-on: https://code.wireshark.org/review/12384
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit ea447aad1fb26e50e790c9370f2e90c8b5d2e3d9)
    Reviewed-on: https://code.wireshark.org/review/12394

commit fd0a18e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Dec 2 09:19:41 2015 +0100

    OSTIP: fix typo found by PVS Studio (V519)
    
    The 'pinfo->clnp_dstref' variable is assigned values twice successively
    
    Change-Id: I02b8ae54728f88c2173b4522d436bd2f7b1b7bc0
    Reviewed-on: https://code.wireshark.org/review/12365
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 1f363e5c4bf493c9581d8a1bdf9fa9796856628a)
    Reviewed-on: https://code.wireshark.org/review/12379

commit ce23959
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Dec 2 13:21:05 2015 +0100

    ui: Guard update_local_interfaces with HAVE_LIBPCAP
    
    Change-Id: I276193047e37cf581fd42ccc74ff9131ee4fa055
    Reviewed-on: https://code.wireshark.org/review/12377
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit a488610dd6e72159cb57e116cb09e02f3f103bc9)
    Reviewed-on: https://code.wireshark.org/review/12378

commit 8d2645d
Author: Nicolas S. Dade <nic.dade@gmail.com>
Date:   Wed Dec 2 00:49:20 2015 -0800

    L2TP: show unsigned value of control connection id
    
    Everywhere else in the l2tp packet tree we show the control connection ID as
    an unsigned decimal.
    
    Change-Id: I189b9ce8c56b024a249d18fc62641c2f5283b0c1
    Reviewed-on: https://code.wireshark.org/review/12367
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit ea852b2bd0f679256bfc0cdc87f0ceebb3d23254)
    Reviewed-on: https://code.wireshark.org/review/12376

commit 8af5e03
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Dec 2 09:13:40 2015 +0100

    ui: Update interfaces when when changing profile.
    
    The interfaces preferences are different for each profile so ensure
    we update the interface settings when changing profile.
    
    This bug was introduced in version 1.8.0.
    
    Change-Id: Icf22670875e01bab6204c300ddc7fb8aeb3dcecf
    Reviewed-on: https://code.wireshark.org/review/12363
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 92a2661d949b1fed78affd87c6e80b537ce49dfe)
    Reviewed-on: https://code.wireshark.org/review/12375

commit 40c101a
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Dec 2 07:32:48 2015 +0100

    Qt: Use uniform interface display name
    
    Use common function to generate the interface display name, both
    when scanning for interfaces (scan_local_interfaces()) and when
    changing Comment in the Manage Interfaces dialog.
    
    Change-Id: I3260208856563aaf387ce397d4ae61bddcc89b4f
    Reviewed-on: https://code.wireshark.org/review/12362
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 631172f2f4046255a78a5628b5499f38054039bb)
    Reviewed-on: https://code.wireshark.org/review/12374
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 6110aeb
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Dec 1 20:12:18 2015 -0500

    btatt - make size 32-bit in get_value()
    
    Bug: 11817
    Change-Id: I118ff55f9a709167976a2522114d65ec03fc68c5
    Reviewed-on: https://code.wireshark.org/review/12353
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 83bad0215dae54e77d34f8b187900125f672366e)
    Reviewed-on: https://code.wireshark.org/review/12360

commit 84b454b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Dec 1 17:31:25 2015 -0800

    Fix field long name.
    
    (Copy-and-pasteo.)
    
    Add some comments while we're at it.
    
    Change-Id: If03a43203a2ee7fad54b76cbdaf9318768edc1b0
    Reviewed-on: https://code.wireshark.org/review/12354
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit dd74e49166943a8e2345ce0ce0fbcc14c1060915)
    Reviewed-on: https://code.wireshark.org/review/12355

commit 4c499f5
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Dec 1 16:53:34 2015 -0500

    [NBAP] Fix SIGSEGV in dissect_nbap_MACdPDU_Size
    
    Bug: 11815
    Change-Id: I107cf90df87bdafa23bd4b81acbc25d98773b223
    Reviewed-on: https://code.wireshark.org/review/12347
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit d2644aef369af0667220b5bd69996915b29d753d)
    Reviewed-on: https://code.wireshark.org/review/12350

commit f045f65
Author: Roland Knall <roland.knall@br-automation.com>
Date:   Tue Dec 1 15:41:44 2015 +0100

    Qt Frames: Use ButtonBox instead of buttons
    
     In these frames the Ok and Close buttons are implemented
     as standalone buttons. This leads to the scenario, that
     they break plattform-ui preferences on the one hand, as
     well as not being the same order throughout.
    
     This patch replaces all Ok/Close buttons with the Qt
     button box, which handles the plattform-ui internally, and
     additionally allways enforces the same order.
    
    Change-Id: If62b90016b222322f60c0962da04c8277589a57f
    Reviewed-on: https://code.wireshark.org/review/12335
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit b932ee8f136ffeb3e78ce0f03e08df81fd18d9d4)
    Reviewed-on: https://code.wireshark.org/review/12349

commit 74612cb
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Dec 1 15:37:38 2015 -0500

    [IPMI]  packet-scope isn't valid for use in BASE_CUSTOM functions.
    
    Bug: 11831
    Change-Id: Ic4b963bf5a790c2f57b26a15f6226924f742fa55
    Reviewed-on: https://code.wireshark.org/review/12340
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 96bf82ced0b58c7a4c2a6c300efeebe4f05c0ff4)
    Reviewed-on: https://code.wireshark.org/review/12348

commit 53c381e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Dec 1 19:23:32 2015 +0100

    Qt: write number of decoded bytes in the RTP player temporary buffer
    
    For codecs using compression (so not G.711) the number of decoded bytes is different from payload len * sample bytes.
    This result in a truncated audio buffer and inaudible audio.
    
    Change-Id: I755c19df37820c1c56acc7bd7b67fcc104516474
    Reviewed-on: https://code.wireshark.org/review/12336
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 46370b3aea2642a140bce9a57a9318599b959b23)
    Reviewed-on: https://code.wireshark.org/review/12345

commit 03aba90
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Dec 1 19:40:41 2015 +0100

    Qt: fix generation of silence samples
    
    The current code generates a shrill noise at least on Windows.
    Presumably memccpy does not behave as initially expected :)
    
    Change-Id: Id23a35d1d41ef4044b6a96c093a8fa927828f8b3
    Reviewed-on: https://code.wireshark.org/review/12337
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 7e18954a276f93c78e4ae7129ad97d73ec6d91aa)
    Reviewed-on: https://code.wireshark.org/review/12344

commit ddbc140
Author: D. Ulis <daulis0@gmail.com>
Date:   Mon Nov 30 13:10:19 2015 -0500

    Bugfixes for EtherNet/IP and CIP
    
    EtherNet/IP
    1. Only decode 32-bit header if there is enough data. Previously, this would show malformed data, even for I/O packets that have no data, eg: heartbeat data.
    2. Typos
    
    CIP
    1. Many Time Sync attribute responses were flagged incorrectly as malformed.
    2. Create service response highlighted the instance number incorrectly, and showed warnings.
    3. Set Attribute List Request should exit early if it doesn't know about a particular attribute.
    4. Incorrect format for Safety Network Segment: Router Format.
    5. Typos
    
    Change-Id: I506dbb053c247bc8efcbde2cce6ab24d9550c897
    Reviewed-on: https://code.wireshark.org/review/12321
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 7a3dadf042acc5c6c4556ed2008fb02a2ae9bc23)
    Reviewed-on: https://code.wireshark.org/review/12343

commit dd4d6ca
Author: Paul Offord <paul.offord@advance7.com>
Date:   Sun Nov 29 22:49:46 2015 +0000

    Fix to avoid protection exception in cf_goto_frame
    
    A call to plugin_if_goto_frame when there is no capture file
    loaded causes a protection exception in cf_goto_file.  This
    fix avoids that problem.
    
    Bug: 11810
    Change-Id: I7e6f31690a4b0d8d4252b41d8d438979cb253050
    Reviewed-on: https://code.wireshark.org/review/12306
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit f15bc8f78eae74bca57ebf7063b6a7b1979c5c08)
    Reviewed-on: https://code.wireshark.org/review/12342

commit fa117e7
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Nov 30 23:42:33 2015 -0500

    [NBAP] Prevent crash.
    
    If no previous conversation exists, a memcpy will try to copy from NULL destination.
    
    Bug: 11835
    Change-Id: I445480bb425834c5a918f1ffa148cb83d6c9750c
    Reviewed-on: https://code.wireshark.org/review/12326
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 5b4ada17723ed8af7e85cb48d537437ed614e417)
    Reviewed-on: https://code.wireshark.org/review/12328

commit e27455c
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Nov 30 14:42:42 2015 -0800

    Qt: Don't expose ColorUtils::graph_colors_.
    
    Make graph_colors_ private and accessible via getters. Blind attempt at
    fixing bug 11833.
    
    Bug: 11833
    Change-Id: I03b7e90c686374d2d0f046f7e5fe87e43939dc82
    Reviewed-on: https://code.wireshark.org/review/12318
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 79f7edba15dc4c637c7f19c0770c2ba2721d765a)
    Reviewed-on: https://code.wireshark.org/review/12327

commit 2baaeb0
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Nov 30 22:06:43 2015 -0500

    [MP2T] Prevent divide by zero.
    
    Bug: 11821
    Change-Id: I3243c837d84ccbce7d377810a5f381e906aeb1eb
    Reviewed-on: https://code.wireshark.org/review/12323
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit e3fc691368af60bbbaec9e038ee6a6d3b7707955)
    Reviewed-on: https://code.wireshark.org/review/12325

commit d7ec92d
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Nov 30 21:52:35 2015 -0500

    [S7COMM] Prevent divide by zero.
    
    Bug: 11823
    Change-Id: I4437efb3dc9532e3d29aacd36736d6f7b3ed38a2
    Reviewed-on: https://code.wireshark.org/review/12322
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 858c3f0079f987833fb22eba2c361d1a88ba4103)
    Reviewed-on: https://code.wireshark.org/review/12324

commit f387aa3
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Nov 30 14:11:22 2015 -0800

    ws80211: Disable shorten-64-to-32.
    
    Disable shorten-64-to-32 in ws80211_create_on_demand_interface,
    which calls NLA_PUT_STRING, which passes the output of strlen to an
    int parameter. NLA_PUT_STRING is defined in netlink/attr.h so there's
    not much we can do to fix it directly.
    
    Suppress -Wpragmas before suppressing warnings in gcc so that we can
    use DIAG_OFF with clang-only warnings.
    
    Change-Id: I1180950edd93c056b8fbfbed164e482024aee90a
    Reviewed-on: https://code.wireshark.org/review/12314
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit b8f90de70efa2d271274fbb48df12737f6eddd12)
    Reviewed-on: https://code.wireshark.org/review/12320

commit 0cb1216
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Nov 30 14:24:19 2015 -0800

    SpeexDSP: Work around self assignments.
    
    Disable -Wself-assign in speex/resample.c. Many macros (particularly
    SATURATE32PSHR) simply return the first argument.
    
    Change-Id: I3a8557833343e7b213031359e94af90d32d9f082
    Reviewed-on: https://code.wireshark.org/review/12315
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit d487c8c7e72666d5e926c4c6a499a0821796c694)
    Reviewed-on: https://code.wireshark.org/review/12319

commit 7abfa36
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 28 16:17:22 2015 -0500

    Fix out-of-bounds read in ascend_seek.
    
    Bug: 11794
    Change-Id: I74517806b119729ae6d9780bbd4bb094701ff05e
    Reviewed-on: https://code.wireshark.org/review/12266
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 338da1c0ea0b2f8595d3a7b6d6c9548f7da3e27b)
    Reviewed-on: https://code.wireshark.org/review/12296

commit e4267dd
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 28 19:08:11 2015 -0500

    Add bounds checking to find_signature.
    
    Bug: 11791
    Change-Id: Ibaa2c16229c1b78818283ba5f954b09f3894dc60
    Reviewed-on: https://code.wireshark.org/review/12270
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 185911de7d337246044c8e99da2f5b4bac74c0d5)
    Reviewed-on: https://code.wireshark.org/review/12294

commit bb206e8
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Nov 28 23:54:52 2015 +0100

    Qt: Check capture filter only once when selecting interface(s)
    
    Changed to only check capture filter once (for each active DLT) when
    changing selected interface(s).  This optimizes filter checking and
    avoids a "No interfaces selected" error when processing unselected
    interfaces before selected.
    
    Added a small optimization fetching device_name outside loop.
    
    Bug: 11671
    Change-Id: I01ed7a99a2a9ced9a86774a78bec2ba27b4bb97c
    Reviewed-on: https://code.wireshark.org/review/12268
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit e75f74add63243fcaf620e47ae232f26a5b6dd67)
    Reviewed-on: https://code.wireshark.org/review/12292

commit af152e4
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Nov 29 17:57:02 2015 +0100

    GSM SMS: fix reassembly of UCS2 encoded SMS
    
    Bug: 11809
    Change-Id: I5cbf43cbc9d0f33fa527aef1be4d5105f1d795a7
    Reviewed-on: https://code.wireshark.org/review/12288
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 257938f66c255e2e978d0bf697f1d0e780620d55)
    Reviewed-on: https://code.wireshark.org/review/12290

commit e3ad20c
Author: Gerald Combs <gerald@zing.org>
Date:   Sat Nov 28 16:31:21 2015 -0800

    Docbook: We no longer support Windows Server 2003.
    
    Try to clarify 2003 and XP support in the User's and Developer's guides.
    
    Change-Id: Id08b21374485bf7655b83bb20b7c3d70f8871499
    Reviewed-on: https://code.wireshark.org/review/12275
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 5c620fff3dd6c278cdca4382b2cba2c5d0d35937)
    Reviewed-on: https://code.wireshark.org/review/12289

commit 61dcd11
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 29 08:51:25 2015 -0500

    Replace my_dgt_tbcd_unpack with the safer tvb_bcd_dig_to_wmem_packet_str.
    
    Bug: 11797
    Change-Id: I07fdf3f7564424eac053f4c17de17f0d96597cca
    Reviewed-on: https://code.wireshark.org/review/12272
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit b75548a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Nov 29 08:21:50 2015 -0800

    [Automatic update for 2015-11-29]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I5e02d1c5fdc7adefb056e1d7e4f746509e6f598c
    Reviewed-on: https://code.wireshark.org/review/12285
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ea96dda
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Sat Nov 28 22:53:51 2015 +0000

    IPv6: Fix RPL routing header computed address count if ip6r_len == 0
    
    Bug: 11803
    Change-Id: I6de6a240dee1cfb310c41976853c0c3683b0b80a
    Reviewed-on: https://code.wireshark.org/review/12276
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9764685
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Nov 28 14:47:28 2015 +0100

    RSVP: copy all rsvp_request_key info in file scope
    
    This is needed as it is later used for comparisons in the request hash table
    
    Bug: 11793
    Change-Id: Ibf5f1bce68fa797e0a17dd3a8313332d093eb2fe
    Reviewed-on: https://code.wireshark.org/review/12257
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 135c8f0
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Nov 28 10:54:16 2015 +0100

    vwr: fix buffer overrun in getRate
    
    Bug: 11789
    Change-Id: Ieba9f32928b91be5d07b25bf54005155f7cc79f6
    Reviewed-on: https://code.wireshark.org/review/12261
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 01e5ec7
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Nov 28 20:03:46 2015 +0100

    Qt: Validate capture filter before showing packet list.
    
    When starting a capture do validate all settings before showing
    the packet list.
    
    Bug: 11667
    Change-Id: Ia0457b9643ca76f8d51c0a254f587398dda888d9
    Reviewed-on: https://code.wireshark.org/review/12259
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 41d4dabc291757b5aa880ca98d2c3eb5d8bc3fe3)
    Reviewed-on: https://code.wireshark.org/review/12260

commit 92c892e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Nov 28 11:45:24 2015 +0100

    Diameter: check IPv6 prefix length before copying it in e_in6_addr structure
    
    Bug: 11792
    Change-Id: I37a07044d40f10e9a1a90025d90753fdb3db2278
    Reviewed-on: https://code.wireshark.org/review/12248
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit aaa28a9d39158ca1033bbd3372cf423abbf4f202)
    Reviewed-on: https://code.wireshark.org/review/12251

commit 0494240
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Nov 26 20:31:12 2015 +0100

    Qt: Make About->Plugins scrollable
    
    Bug: 11427
    Change-Id: Iebc693bc2a035bad3bc2491af4b5a12c9e7d2fa5
    Reviewed-on: https://code.wireshark.org/review/12201
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 15086a808ecc5627cdfbfedae23d2a910f059532)
    Reviewed-on: https://code.wireshark.org/review/12249
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit bf1fa88
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Nov 28 01:24:12 2015 +0100

    Add boundary check for 802.11 decryption
    
    Fixed stack-based buffer overflow when the frame length exceeds 8KB.
    
    Bug: 11790
    Change-Id: I20db8901765a7660e587057e955d4fb5a8645574
    Reviewed-on: https://code.wireshark.org/review/12237
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 40b283181c63cb28bc6f58d80315eccca6650da0)
    [resolved conflict by accepting comments from v2.1.0rc0-764-g9cd66b2]
    Reviewed-on: https://code.wireshark.org/review/12246

commit 68c9cc0
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Nov 23 21:49:03 2015 +0800

    [mp2t] use the correct file infomation for PCR detection
    
    when we check for an mpeg2 transport stream, we're trying to detect an
    initial offset before the first sync byte and the length of additional
    data appended to each packet
    
    use those values when we go through the file again and verify the PCR
    
    Bug: 11749
    Change-Id: Iab03cb271d23d38f850ca857b64ca47ba4501175
    Reviewed-on: https://code.wireshark.org/review/12183
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 6da516821d24b8857fe3a55703e517db0106d23c)
    Reviewed-on: https://code.wireshark.org/review/12244
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 18a08f4
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Nov 27 18:10:52 2015 +0100

    Qt: reload after applying parameters in UDP multicast dialog
    
    Noticed this message in stderr, started investigating:
    
        QObject::connect: No such signal MulticastStatisticsDialog::updateFilter(QString&,bool) in ui/qt/multicast_statistics_dialog.cpp:247
        QObject::connect:  (sender name:   'TapParameterDialog')
        QObject::connect:  (receiver name: 'TapParameterDialog')
    
    Verified that after this patch, the "Max Burst" changes from "4/100ms"
    to "1/1ms" when modifying "Burst measurement interval (ms)" from 100 to
    1 using rtp-norm-transfer.pcap from the SampleCaptures wiki.
    
    Change-Id: I803ff9e5a542a5fd3507b086f29628fbf5602784
    Reviewed-on: https://code.wireshark.org/review/12228
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 05121be1b4ea35257bfcd8ed38d2312b1519f370)
    Reviewed-on: https://code.wireshark.org/review/12243

commit 8f96d53
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Nov 28 00:09:46 2015 +0100

    Qt: set focus to text box when opening search frame
    
    Change-Id: Iac932365bc2fa7a5d5102a5f5455ea01daa86590
    Reviewed-on: https://code.wireshark.org/review/12236
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 75da6960e0c6a933e4459249113716c4137cd386)
    Reviewed-on: https://code.wireshark.org/review/12242

commit afb7b42
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Nov 28 00:06:56 2015 +0100

    Qt: fix "go to packet" broken by g56625dd
    
    Keeping auto scroll is required to update the row displayed.
    Instead catch the mouse event and stop auto scroll only during that time.
    
    Change-Id: Ibc5b0a4115192fc3e01e63c82e67761e5aed9d3b
    Reviewed-on: https://code.wireshark.org/review/12235
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit df83e45084f7a8430225f646a03d1974b188d3ca)
    Reviewed-on: https://code.wireshark.org/review/12241

commit a082839
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Wed Nov 25 14:17:31 2015 +0000

    Remove 'filetap' residue from .gitignore
    
    Change-Id: Ica5aff181e3b5031bd0be59c71a6bfa485e5c199
    Reviewed-on: https://code.wireshark.org/review/12148
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit ac7982cf9b2f9c9fe9af422c03e3e43c7c11e264)
    Reviewed-on: https://code.wireshark.org/review/12233

commit 916ee53
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Nov 27 17:57:34 2015 +0100

    Fix crash in UDP Multicast Streams dialog
    
    Attempting to open the UDP Multicast Streams dialog in the GTK UI
    triggers an instant crash (heap-buffer-overflow).
    
    Déjà vu. This is the same problem that plagued the RTP Streams dialog.
    This patch is based on the fix in v1.99.3rc0-33-g2c65b33
    (mcaststream_dlg_update confused GList vs. mcaststream_tapinfo_t).
    
    After fixing that, the dialog crashed shortly after setting parameters
    (heap-use-after-free). That fix is based on v1.99.10rc0-292-gb02a0ee
    (after a retap, the old items were still present in the list).
    
    Just that change was not enough as clearing the list still triggered a
    signal, possibly because of the "changed" signal (while the RTP player
    uses a selection setter function). Apply the patch based on
    v1.99.10rc0-270-g01bd832 (disable selection while clearing).
    
    Change-Id: I152bac6f954d8d1c5c20d6c7d56a196c3e20c681
    Reviewed-on: https://code.wireshark.org/review/12227
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit d7f12436709e40d58d7fcdfbcdd08740c039e162)
    Reviewed-on: https://code.wireshark.org/review/12231

commit 7d6373e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Nov 27 17:01:05 2015 +0100

    Qt: remove automatic horizontal scrolling when selecting a row
    
    QTreeView automatically scrolls so as to show as much as possible the content of the selected column.
    Let's get rid of that.
    Rename PacketList::setAutoScroll() so that it does not overload QAbstractItemView::setAutoscroll()
    
    Change-Id: I09fb54f9b31c3025efddce6a4e709baaf107702d
    Reviewed-on: https://code.wireshark.org/review/12225
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 56625dd4562d89f711ab68caa8cf849509b0970f)
    Reviewed-on: https://code.wireshark.org/review/12230

commit 3cd7991
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Nov 27 11:34:51 2015 +0100

    Fix display of bytes as EBCDIC
    
    MSVC compiler does not support properly setting an enum being part of a bit field.
    For example the following code:
    pinfo->fd->flags.encoding = PACKET_CHAR_ENC_CHAR_EBCDIC;
    changes pinfo->fd->flags.encoding from 0x0 to 0xfffffffe instead of 0x1
    Let's put back an unsigned int definition (like it is in master-1.12 branch) and add explicit casts where required
    
    Bug: 11787
    Change-Id: Idae0140fb6c172f1b3dbf10baefc8cfb00128f4c
    Reviewed-on: https://code.wireshark.org/review/12220
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 62b03da49a3e6c32f788da375faea2ca47fa2aa9)
    Reviewed-on: https://code.wireshark.org/review/12229

commit 6793a03
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Nov 27 16:32:54 2015 +0100

    Fix crash in Capture File Properties dialog
    
    Fixes crash when a capture file is closed while the capture file
    properties dialog is open.
    
    Change-Id: Iba35be38e1f53d422ff8428a672703385d477660
    Reviewed-on: https://code.wireshark.org/review/12224
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 946222c676dbda138fff0b437be12f8fddab5131)
    Reviewed-on: https://code.wireshark.org/review/12226

commit 20bfc3d
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Nov 26 11:26:13 2015 +0100

    autotools: do not apply CFLAGS in reverse order
    
    Fixes false "-Wvariadic-macros" because "-Wpedantic" came after
    "-Wno-variadic-macros". While at it, avoid (unintentionally?) adding
    -fPIE to all C++ programs (via CXXFLAGS).
    
    Availability of flags is checked by appending a flag (in case the user
    has something like CFLAGS=-Wno-error).
    
    This removes a -fPIE check for CXXFLAGS and removes 5
    -Woverlength-strings and 9 -Wvariadic-macros warnings from make with
    Clang 3.7.0. configure and compile times were equal. (A diff between the
    configure outputs showed no other changes.)
    
    This reverts commit cf0d762d7304aa569ea25faf999c74bbe94f9023 and applies
    a different approach.
    
    Ping-Bug: 10791
    Change-Id: Ic7b4137e2d98b06bc7625091be9bc7dd69182586
    Reviewed-on: https://code.wireshark.org/review/12175
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 470c745a7a0a5b930bdfb0edd8874436cb9beea0)
    Reviewed-on: https://code.wireshark.org/review/12186
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c986188
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Fri Nov 27 01:27:36 2015 +0000

    configure.ac: Fix CXXFLAGS with optimization for HP-UX
    
    Change-Id: I0cdef95ce44fb5c6112998697dbafe23c3ee13ab
    Reviewed-on: https://code.wireshark.org/review/12212
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit faf680fbd4c129679b94f78bf76a9e1b955a5729)
    Reviewed-on: https://code.wireshark.org/review/12218

commit 036c404
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Nov 26 19:15:44 2015 +0100

    Qt: Check zero recent column width
    
    Hidden columns may have been stored with zero width, so ensure
    we always check for this when fetching.
    
    Change-Id: I625c05adccaf2d81198fdeeccf7feeb9a9eb82c2
    Reviewed-on: https://code.wireshark.org/review/12196
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit f5b816d4c92e633453fe65dfa56d80ad32bab477)
    Reviewed-on: https://code.wireshark.org/review/12217

commit 5eb60c0
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Nov 26 09:09:23 2015 -0500

    [LDAP] Bugfix counting of search results.
    
    Bug: 11761
    Change-Id: Icd955b848edc9f802331f25ab1b8684aa2631553
    Reviewed-on: https://code.wireshark.org/review/12184
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit c51f207308d04bda005f84828b59cec4104e4b8f)
    Reviewed-on: https://code.wireshark.org/review/12216

commit 5687e94
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Nov 26 19:08:47 2015 +0100

    Qt: display RTP/IAX2 graph analysis arrival time as absolute instead of relative
    
    It makes it easier to synchronize the graph and packet list
    
    Change-Id: Ia0c6bc46227c1ff9267622ff52b5a5d966cd6e6a
    Reviewed-on: https://code.wireshark.org/review/12195
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit d9f777c99a8af01bcf89fb869602cebdf47f9adf)
    Reviewed-on: https://code.wireshark.org/review/12215

commit 0621c38
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Nov 26 18:31:58 2015 +0100

    Qt: display RTP stream Y axis values as milliseconds
    
    Bug: 11784
    Change-Id: I505338d85788e0889999622ff392ca8fe5f46836
    Reviewed-on: https://code.wireshark.org/review/12194
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 2c6824df2dadb3dafeab247301c15252d0a50461)
    Reviewed-on: https://code.wireshark.org/review/12214

commit 22cb4c4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Nov 26 12:25:43 2015 -0800

    Don't allow the "Ethertype" pseudo-protocol's dissection to be disabled.
    
    It's not a real protocol, it's a helper dissector for various protocols,
    and it makes no sense to disable it; doing so means that the Ethertype
    field itself isn't disabled, and allowing it to be disabled means that
    you can't do "Disable All", and manually enable Ethernet, IPv4, IPv6,
    and TCP to disable dissection of protocols running atop TCP on Ethernet.
    
    (See
    
        https://ask.wireshark.org/questions/48011/enabled-protocols-negation-of-disabled-proto
    
    for an example of somebody who wants to do exactly that.)
    
    Change-Id: Ibdd6ef53503de548e14cecc3766040c3a0b101d4
    Reviewed-on: https://code.wireshark.org/review/12207
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 677faf2bd4bf233a7d8243b5c5abccf3111cfc5c)
    Reviewed-on: https://code.wireshark.org/review/12208

commit e3ef813
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Nov 26 11:59:53 2015 -0800

    Wrong field name for signal strength as a percentage.
    
    Copy-and-pasteo.
    
    Change-Id: I42ba4f172f9b837f01d3b30f2d14e7ee066f3e83
    Reviewed-on: https://code.wireshark.org/review/12203
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit e988e1c76488e5e8ee685ca0dca62578120f1467)
    Reviewed-on: https://code.wireshark.org/review/12204

commit 600cc28
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Nov 25 02:53:48 2015 -0800

    Don't check whether the C++ compiler supports a flag if there isn't one.
    
    If we didn't find a C++ compiler, we can't check whether the
    non-existent C++ compiler supports a flag, so don't do so.
    
    Change-Id: I3d3232acae2dfc40deb0b01f35656ef53c4f1640
    Reviewed-on: https://code.wireshark.org/review/12132
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6181045bc161678496d557d61f7665c04b2e2ba2)
    Reviewed-on: https://code.wireshark.org/review/12185

commit 8f274bc
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Nov 26 15:57:32 2015 +0100

    Qt: make Files Set dialog modeless
    
    Otherwise you need to close the window each time you change the file
    so as to browse its content...
    
    Change-Id: Ibf8485695cec34bb950ad98cb671e77d4f663b63
    Reviewed-on: https://code.wireshark.org/review/12187
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit c965fb06148d0144426ba1b3fb301281a30a39b8)
    Reviewed-on: https://code.wireshark.org/review/12200

commit be284fd
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Nov 26 14:22:20 2015 +0100

    Qt: clear new_visible_rows_ when closing a capture file
    
    Bug: 11756
    Change-Id: Iccc92963f81c3ded143953c8c1fad27cd57a7bc2
    Reviewed-on: https://code.wireshark.org/review/12193
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 41bf1dd
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Nov 24 20:42:50 2015 +0100

    Qt: Use correct column width when switching profile
    
    QTreeView::setColumnHidden() saves column width on hide and restores
    column width on show.  When switching from a profile with hidden
    columns to a profile where this columns are shown we get a
    sectionResized() signal with the saved width from the old profile,
    initiated from columnsChanged() -> setColumnVisibility().
    We must avoid setting this as a new column width because this is
    recent values from a old column layout.
    
    In other cases we use setColumnVisibility() we don’t need to set
    a new column width either, because we store the column width ourself.
    
    Don't store column width when hiding column (new_width == 0).
    Restore column width when showing column because profiles may have
    changed the packet_list layout.
    
    Change-Id: I7e89c3477402ec6d621cd2015ee74b086f60d6cb
    Reviewed-on: https://code.wireshark.org/review/12111
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 4980d505f268b2b1d2ebabf815f3d0ce34e8cd71)
    Reviewed-on: https://code.wireshark.org/review/12192

commit b6a0392
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Thu Nov 26 13:44:33 2015 +0100

    Lua: Switch URL to documentation to HTTPS
    
    URL to documentation with https as suggested by Alexis.
    (s. commit ecc9c74326183e8d03eddfdbc1557919f3be6046)
    
    Change-Id: I64d82b0c07cce5658eb8f4ae758f1a42946b837a
    Reviewed-on: https://code.wireshark.org/review/12181
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit ff5719c6e846c2d699c27f972ef5af4740a7a74c)
    Reviewed-on: https://code.wireshark.org/review/12191

commit 7008a2c
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Nov 26 07:22:01 2015 -0500

    Change TCP transmission window full message
    
    Bug: 11741
    Change-Id: I2b3adc82bc44fd4e83e6f04b7e9bdcfaadf1b445
    Reviewed-on: https://code.wireshark.org/review/12180
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 986a870145903e1b752711a47ac53d9eb0c85cde)
    Reviewed-on: https://code.wireshark.org/review/12189

commit 4dc090e
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Nov 25 21:40:43 2015 -0500

    Document tvb_get_guintXXX and tvb_get_ieee_XXX
    
    Change-Id: I498c0ca39befa0c0117ee78c23714bf7af193ce9
    Reviewed-on: https://code.wireshark.org/review/12164
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 2cf37ea0a09771e59353368ad187e9ad647e3d90)
    Reviewed-on: https://code.wireshark.org/review/12178
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 44e5946
Author: Nicolas S. Dade <nic.dade@gmail.com>
Date:   Wed Nov 25 23:24:52 2015 -0800

    L2TP: Correct L2TP over IP SHA1 message digest
    
    It should match the MD5 code, and skip over the 0x00000000 session id
    at the start of tvb.
    
    Change-Id: Ia3bee2bd07015523acc49bd7cb0247c3f1ac986e
    Reviewed-on: https://code.wireshark.org/review/12168
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 97e627e56d98bc45cd87cf629617c0dbd1798f6b)
    Reviewed-on: https://code.wireshark.org/review/12176

commit a92137d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Nov 19 14:34:39 2015 -0800

    NSIS: refuse to install on Windows XP or Server 2003
    
    Warn the user when installing on Windows Server 2003 along with XP.
    CMake builds are not targeting them, and their support was officially
    dropped with Wireshark 1.12.
    Update our copy of GetWindowsVersion.nsh with "Alternate Script With
    Server Versions" from http://nsis.sourceforge.net/Get_Windows_version.
    
    Change-Id: I762859ea13e1ecd91757eeab360a39d1e6116144
    Reviewed-on: https://code.wireshark.org/review/11972
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit a9f5d8503f85704bd6facc2de3f51f5d83f4862c)
    Reviewed-on: https://code.wireshark.org/review/12173

commit a9b4be9
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Nov 26 09:23:06 2015 +0100

    SCTP: add another NULL dereference check
    
    This is a follow-up of g2259bf8
    
    Change-Id: I4dfb839fcd016a8d7a7210e6358d230025eb96a3
    Reviewed-on: https://code.wireshark.org/review/12171
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 1b32d505a59475d51d9b2bed5f0869d2d154e8b6)
    Reviewed-on: https://code.wireshark.org/review/12172

commit 682e3a6
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Nov 25 20:51:09 2015 +0100

    Qt: Redissect packets when changing profile
    
    When changing profile the protocol/dissector preferences may change
    so we need to redissect according to new settings.
    
    We should probably have a preferences diff to check if a redissect
    is needed, like it is in the preferences dialog.
    
    Bug: 11757
    Change-Id: I025bbc7297966986a697f2a6368d9a74e3c1ba72
    Reviewed-on: https://code.wireshark.org/review/12156
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit ce9d2ee428ce699e8b1c0c184a38cd75441e8d25)
    Reviewed-on: https://code.wireshark.org/review/12169

commit 904e1b4
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Nov 25 18:56:16 2015 +0100

    ISUP: fix a wrong removal of proto_tree_add_text()
    
    Bug: 11768
    Change-Id: I42199f391f6559de88ce37104bd74a9f4be77e09
    Reviewed-on: https://code.wireshark.org/review/12149
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit b1044d6553241aa10189ff1fc064702c767a09b8)
    Reviewed-on: https://code.wireshark.org/review/12163

commit a77290c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Nov 25 17:53:30 2015 +0100

    SCTP: verify frame pointer before dereferencing it
    
    Bug: 11767
    Change-Id: Icd01550e0aaa4cd0cc33ae3acc0ef702c38f4db4
    Reviewed-on: https://code.wireshark.org/review/12146
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 2259bf8a827088081bef101f98e4983de8aa8099)
    Reviewed-on: https://code.wireshark.org/review/12158

commit 57f3171
Author: Dario Lombardo <lomato@gmail.com>
Date:   Wed Nov 25 17:20:11 2015 +0100

    qt: move file close (CID 1159303)
    
    Change-Id: Ib21327babc77324313a1b3e2dd6ba0987a8fb333
    Reviewed-on: https://code.wireshark.org/review/12144
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit b314342c0043d411912a7aff339d8cdd6ee413aa)
    Reviewed-on: https://code.wireshark.org/review/12154

commit a17866f
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Wed Nov 25 12:51:35 2015 +0100

    Press Start instead of Manage Interfaces on Enter
    
    In the Capture Interfaces dialog, the default dialog action was
    non-existing. Fix Extcap while at it (searched for "YesRole").
    
    Reported on #wireshark at Freenode.
    
    Change-Id: I7920b806a855acc20dcd2081f6b0d58e993b4ac1
    Reviewed-on: https://code.wireshark.org/review/12136
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit dde848b3d925d040592bd3f86487e9bc86905550)
    Reviewed-on: https://code.wireshark.org/review/12140

commit d93918f
Author: Mikael Kanstrup <mikael.kanstrup@gmail.com>
Date:   Mon Nov 23 16:33:40 2015 +0100

    Fix memory leak in capture_get_if_capabilities
    
    Valgrind reports memory leaks like these:
    154 bytes in 10 blocks are possibly lost in loss record 8,660 of 11,855
      at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
      by 0xBD9EA38: g_malloc (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.3200.4)
      by 0xBDB3358: g_strndup (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.3200.4)
      by 0xBDB49AD: g_strsplit (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.3200.4)
      by 0x502291: capture_get_if_capabilities (capture_ifinfo.c:269)
      by 0x50A4CC: scan_local_interfaces (iface_lists.c:186)
      by 0x4C4BBD: refresh_local_interface_lists (capture_dlg.c:6117)
      by 0x504EC8: iface_mon_handler2 (iface_monitor.c:113)
      by 0xC9ADF1D: ??? (in /lib/libnl-3.so.200.3.0)
      by 0xC56DF19: ??? (in /usr/lib/libnl-route-3.so.200.3.0)
      by 0xC9ABE5E: nl_cache_parse (in /lib/libnl-3.so.200.3.0)
      by 0xC9AF5CA: nl_msg_parse (in /lib/libnl-3.so.200.3.0)
    
    Under certain conditions raw_list variable was not freed properly.
    
    Change-Id: Ibbaf0d67d983ee6912cfc9dc1a3169bc773b03c9
    Reviewed-on: https://code.wireshark.org/review/12112
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 479ab3bcdc8d79b27bfc99fcde073457f72126ac)
    Reviewed-on: https://code.wireshark.org/review/12139

commit 7ea63cf
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Nov 22 18:16:46 2015 +0100

    Fix buffer overrun in zlib decompression
    
    After updating next_in (to remove the gzip header), avail_in must also
    be updated. Failing to do makes zlib read past the input buffer. In
    theory this would resukt in a buffer overrun of at most double the input
    length, in practice zlib returns as soon as the compression fails (after
    reading a few bytes).
    
    Bug: 11548
    Change-Id: If71691a2846338f46d866964a77cc4e74a9b61dd
    Reviewed-on: https://code.wireshark.org/review/12038
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit cec0593ae6c3bca65eff65741c2a10f3de3e0afe)
    Reviewed-on: https://code.wireshark.org/review/12137

commit b9d8d3c
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Wed Nov 25 10:17:18 2015 +0100

    Lua: fix URL to documentation
    
    The Lua reference has been moved from User's Guide to Developer's Guide.
    
    Change-Id: I3489d774e54310ce49997e33d5318adf5e0bb2bc
    Reviewed-on: https://code.wireshark.org/review/12128
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit ecc9c74326183e8d03eddfdbc1557919f3be6046)
    Reviewed-on: https://code.wireshark.org/review/12129

commit e10bd6b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Nov 24 21:38:05 2015 -0800

    Check whether create_tempfile() fails.
    
    Thanks and a tip of the Hatlo hat to Coverity for finding this.
    
    Change-Id: Ie9d4089443e52ef427e0cc8ae6e90a9d9787134e
    Reviewed-on: https://code.wireshark.org/review/12123
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit e9c26d015bde3ca5e5bf858ddb266a70d6751b7d)
    Reviewed-on: https://code.wireshark.org/review/12124

commit 38af1ad
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Nov 24 20:06:00 2015 +0100

    Qt: Save preferences when hide/show columns
    
    To preserve the hide/show column settings between switching profiles
    the settings have to be saved.
    
    Change-Id: I6f72b2980be149676e1c1099a604c8c6d0d995bf
    Reviewed-on: https://code.wireshark.org/review/12109
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 9601a4f724492b3f9960e1f051360b071997d7d6)
    Reviewed-on: https://code.wireshark.org/review/12110

commit aa961e0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Nov 24 16:35:55 2015 +0100

    VoIP: fix a null dereference when trying to retrieve the time of a T.38 tapped packet
    
    Rather than trying to retrieve frame_data from the packet number row (while it could be filtered) let's use pinfo.
    
    Bug: 11596
    Change-Id: I53966bfdfbeb0c5918c3524f4b9748ea425fe8a5
    Reviewed-on: https://code.wireshark.org/review/12103
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 8c46a728fed52b0432a234274cc3e7a6fcadaf6d)
    Reviewed-on: https://code.wireshark.org/review/12104

commit b3217e2
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Nov 24 15:10:21 2015 +0100

    Qt: check that a file name was selected before trying to export follow content
    
    Bug: 11763
    Change-Id: Iab117fe9f572eccc3cf88a9f3ff86a22aa0e33c9
    Reviewed-on: https://code.wireshark.org/review/12099
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 0981a50a57381fb33b010da791b7d82367b681cd)
    Reviewed-on: https://code.wireshark.org/review/12102

commit 4053651
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Nov 24 12:59:37 2015 +0100

    [Custom plugins] CUSTOM_PLUGIN_IN_FILES is no longer required.
    
    Change-Id: I329a26ece145d70221d47c728e11dca54416a5cf
    Reviewed-on: https://code.wireshark.org/review/12092
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 46f3fe48a3bf1b5ea341544e2abd49910cacaa6e)
    Reviewed-on: https://code.wireshark.org/review/12093

commit 9756c66
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 22 21:22:32 2015 +0100

    Qt (Recent Files): Fix typo on variable name
    
    Wrong variable (display field max) is updated when set max recent files
    
    Change-Id: Ie995192ffbf56cbf6bd9cea5b029ab16ff547d2f
    Ping-Bug:11748
    Reviewed-on: https://code.wireshark.org/review/12046
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit ac2008c46fe2c19b5f0e41492dedb49261d9bc8c)
    Reviewed-on: https://code.wireshark.org/review/12081
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1d60bcd
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 23 21:50:08 2015 -0800

    Fix indentation.
    
    Change-Id: I2a64b9919d257ee0f7a57ba40c33bea1690ae0ad
    Reviewed-on: https://code.wireshark.org/review/12087
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1e52fad
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 23 21:48:04 2015 -0800

    Check *how many* fields sscanf() found.
    
    In the code that parses a GeneralizedTime field, don't assume that all
    fields were found; check the return value from sscanf().
    
    This should clean up a fuzz failure on the 2.0 buildbot:
    
    https://buildbot.wireshark.org/wireshark-2.0/builders/Fuzz%20Test/builds/13/steps/valgrind-wireshark/logs/stdio
    
    Change-Id: I431d7ed69ac1697bd42c22a37ca1451cfc85c94e
    Reviewed-on: https://code.wireshark.org/review/12083
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 921bb07115fbffc081ec56a5022b4a9d58db6d39)
    Reviewed-on: https://code.wireshark.org/review/12084

commit 0c55bd5
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Nov 23 20:15:48 2015 +0100

    Qt: Fix column resolve names
    
    Reset columns when resolve names column menu item is toggled,
    and save preferences to preserve the setting.
    
    We should probably have functions to redraw only one column.
    
    Change-Id: I52dce8d104ab9bedd11edc5d200ab85154243cb5
    Reviewed-on: https://code.wireshark.org/review/12077
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 9851bed7a444b73215305d1de6029dd3679d3c25)
    Reviewed-on: https://code.wireshark.org/review/12078

commit 688b340
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Nov 23 14:06:59 2015 +0100

    Qt: Fixed more column issues when changing profile.
    
    When changing profile without a loaded capture file we have to rebuild
    cap_file_->cinfo when a capture is loaded.
    
    Bug: 11493
    Change-Id: I9b561a360236056c104cfdb478b855fa550325e2
    Reviewed-on: https://code.wireshark.org/review/12068
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 7324555c1fef30a435a9be3c11c936b735507781)
    Reviewed-on: https://code.wireshark.org/review/12075

commit bc03ab1
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Nov 23 11:40:42 2015 +0100

    HiSLIP: remove a DISSECTOR_ASSERT
    
    It should not be used for request/response tracking
    
    Change-Id: Ic93884cad5bcea40e082081097575908011871c8
    Ping-Bug: 11752
    Reviewed-on: https://code.wireshark.org/review/12063
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 8fa938d27b7388e6b5881718d45abd3315a0583c)
    Reviewed-on: https://code.wireshark.org/review/12071

commit 92c07d3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 23 09:08:33 2015 +0100

    RADIUS: fix wrong offset for protocol
    
    Only work for IPv4 (Missing length of IPv6)
    
    Bug:11630
    Reviewed-on: https://code.wireshark.org/review/12057
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit dee3b8057ffdba29b812856b7ce5b4b5cdbed866)
    
    Conflicts:
    	epan/dissectors/packet-radius.c
    Change-Id: I5436aa8dc66897472466ca9399c34457f1afa851
    Reviewed-on: https://code.wireshark.org/review/12062
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 280f0d1
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Nov 23 09:22:55 2015 +0100

    Qt: Revert to more optimized code
    
    Revert some changes in PacketListModel::headerData from c5fb4022
    to preserve more optimized code.
    
    Change-Id: If708999a6d446d70eca7414670dec0c618190fe0
    Reviewed-on: https://code.wireshark.org/review/12058
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 815b7fe728eadd15d9708afbc236b6399e4c46a0)
    Reviewed-on: https://code.wireshark.org/review/12059

commit e82c37e
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Nov 22 21:25:15 2015 +0100

    Qt: Set tooltip for packet list header
    
    Added get_column_tooltip() to use common code in GTK and Qt.
    
    Change-Id: I2f6ce95e2e129752bbb958a28aec6f42aa81be3d
    Reviewed-on: https://code.wireshark.org/review/12047
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/12055
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit a95eeb3
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Nov 22 15:25:27 2015 +0100

    Qt: Improved profiles popup menu
    
    * Don’t add a global profile if having a personal copy.
    * Fetch profiles from _current_ profiles list.
    * Separate personal and global profiles.
    * Use bold and checked for the the current profile.
    
    * Fixed selection of the current profile in the manage profiles dialog.
    * Aligned GTK version with Qt version, removed the “New from Global” sub menu.
    
    Change-Id: I2326b39f7d04411000b3c014e3775284392c48c7
    Ping-Bug: 11704
    Reviewed-on: https://code.wireshark.org/review/12034
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 35e5523dd2d90b6a964961b2eaea1457495b4a78)
    Reviewed-on: https://code.wireshark.org/review/12054
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 1b50a32
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Nov 20 19:39:55 2015 +0100

    epan: Free pointers to deallocated memory
    
    When redissecting packets we call epan_free() which deallocates
    wmem_file_scope memory.  Such memory may be used in proto_data for
    the currently selected packet (cf->edt) and leaves pointers to
    deallocated memory (cf->edt->pi.fd->pfd).  Free them after
    epan_free() to avoid unintended usage in packet_list_clear().
    
    Bug: 11740
    Change-Id: Ia3bc54f3f34e644a98b8a7eb1addd19b8aeeaab9
    Reviewed-on: https://code.wireshark.org/review/11996
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 391f11a7ec16045ed5909d617edcaada1f8f9afc)
    Reviewed-on: https://code.wireshark.org/review/12053

commit d4f355c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Nov 21 08:55:22 2015 +0100

    merge: fix parameter 'in_files/in_count_files' not found in the function declaration [-Wdocumentation]
    
    Change-Id: Ib3d9b7df5f1396179645456ea7359e711c26b8ef
    Reviewed-on: https://code.wireshark.org/review/12003
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 9fad599c0f58092f0719839d980de849ba8f8400)
    Reviewed-on: https://code.wireshark.org/review/12052

commit 8ad6404
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Nov 21 21:15:53 2015 +0100

    Qt: Preserve selected file in welcome screen.
    
    When closing a capture file the recent files list are updated to put
    the most recent opened file on top.  Ensure we preserve the selection
    of the closed file instead of having the file in the closed file's
    previous position selected.
    
    Change-Id: I14c9edde55b88abf7ca7f1828e269ad49203b1db
    Reviewed-on: https://code.wireshark.org/review/12018
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit b9812a74325e9d08db09f17093f4cf9c9b5fe081)
    Reviewed-on: https://code.wireshark.org/review/12051

commit 35e508e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Nov 22 20:26:56 2015 +0100

    Add Windows CMake auto generated files to .gitignore
    
    This is useful in case of in tree build.
    
    Change-Id: I91a4503221ad097fd15e32677190b36c2d483c1f
    Reviewed-on: https://code.wireshark.org/review/12045
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 9e1128bfb6ca2cc75563813304e4feb9780f14f7)
    Reviewed-on: https://code.wireshark.org/review/12048

commit f2cd6dc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 22 11:24:01 2015 -0800

    Quote the source directory in Git commands.
    
    It may contain spaces (it does on my Windows 7 VM), so it must be
    quoted.  (There are probably other places where it needs to be quoted in
    this script.)
    
    Change-Id: If363691b0f94bbe75755072fd5245266566c3360
    Reviewed-on: https://code.wireshark.org/review/12043
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b044e48c7005ecb4233e7d6991876ebe3b673edc)
    Reviewed-on: https://code.wireshark.org/review/12044

commit b6cd321
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 22 11:15:43 2015 -0800

    Quote the path for the Windows setup script.
    
    The path may contain a space (it does on my Windows 7 VM), so quote it
    in the PowerShell command.
    
    Change-Id: Ib130991b8c29cb327832f2fe51cb37828526448b
    Reviewed-on: https://code.wireshark.org/review/12041
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit d69cec7cffc9e281b9a5dd389120f0791e1d805f)
    Reviewed-on: https://code.wireshark.org/review/12042

commit e191090
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 22 10:47:33 2015 -0800

    We *do* use setWindowModified; remove the XXX comment saying to do so.
    
    Change-Id: I00ffc4c787681a6bf2c84da9e44b3b3a33c0cec5
    Reviewed-on: https://code.wireshark.org/review/12039
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit cc9e444b4e92865aadd68a58e6d4f5d5453a340f)
    Reviewed-on: https://code.wireshark.org/review/12040

commit be6a54f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Nov 21 00:24:30 2015 +0100

    Qt: save columns position before freezing
    
    It allows to restore them properly in thaw()
    
    Bug: 11737
    Change-Id: Ibee6ee701ab64019ee03666c652c232770b3bb74
    Reviewed-on: https://code.wireshark.org/review/12037
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 42f7ce1
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Nov 22 00:20:54 2015 +0100

    Qt: Added translate for "Capturing from ".
    
    Change-Id: Ibd7b47169229395e5468ee2422c3dab7abe36413
    Reviewed-on: https://code.wireshark.org/review/12022
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 358615019b63d4dbc62d8257cef3f9b00b7cb549)
    Reviewed-on: https://code.wireshark.org/review/12036

commit 7bc6c10
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Nov 22 00:01:36 2015 +0100

    Qt: Set normal window icon when capture file closed.
    
    Also rename and use setDefaultWindowTitle() to set the window title
    back to "The Wireshark Network Analyzer".
    
    Change-Id: Ifa87d1a9b9140de4f256effdfca8485f65e2f839
    Reviewed-on: https://code.wireshark.org/review/12025
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit a02fc3b094628f504a13012f4cf5bb7ca61ff17f)
    Reviewed-on: https://code.wireshark.org/review/12035

commit 805395f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Nov 22 10:01:28 2015 +0100

    asn2wrs.py: fix path substitution when generating ASN.1 dissectors with CMake on Windows
    
    Change-Id: I48e7d48544274f27d276e7128f8d2a2727c0b9cd
    Reviewed-on: https://code.wireshark.org/review/12031
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit d61c3d592b88ab9685b10552b29ab799a89ff0b7)
    Reviewed-on: https://code.wireshark.org/review/12032

commit ca749e0
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Nov 20 22:30:06 2015 +0100

    Do not expand packets in packet dialog by default
    
    Do not expand the packet tree in the packet dialog by default, it
    results in forgetting the previous collapse state and deviates from
    previous GTK+ behavior. It is just annoying to have all Frame, Ethernet,
    etc. trees expanded while you are just looking at application layer
    traffic.
    
    (The previous tree is restored when calling ProtoTree::fillProtocolTree
    which calls proto_tree_draw_node and then invokes setExpanded()).
    
    Bug: 11731
    Change-Id: I48c7f28a1777874b1c23025335305493777bca1d
    Reviewed-on: https://code.wireshark.org/review/11998
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 759bfb6c45185c06be146b0705465e5560069dff)
    Reviewed-on: https://code.wireshark.org/review/12030

commit 402735d
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Nov 20 20:08:10 2015 +0100

    Fix RTP player crash on invalid streams
    
    On Linux with pulseaudio, the RTP player can crash when an invalid RTP
    stream is played. Prevent that by detecting when stream playback fails.
    
    Since the stateChanged signal receiver is registered on the same
    thread, it is guaranteed that any outputStateChanged calls happen before
    returning from audio_output_->start().
    
    GTK+ not have this issue, its player simply does not show the decoded
    stream at all.
    
    Change-Id: I51a91a7f410ef3d46551bc8df0049542efbb806f
    Reviewed-on: https://code.wireshark.org/review/11997
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 74247f96a998797e933f09f566f60406b9ba92b4)
    Reviewed-on: https://code.wireshark.org/review/12029

commit f5bad76
Author: Stefan Pöschel <github@basicmaster.de>
Date:   Sun Nov 22 01:11:59 2015 +0100

    SCSI: Fix mixed up SCSI senddiag PF values
    
    Change-Id: I5e4b3ff0579789d81bf4eaad3dc2669472d22dd7
    Reviewed-on: https://code.wireshark.org/review/12024
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 26366ef795739920c858f5b7459476dc56677410)
    Reviewed-on: https://code.wireshark.org/review/12027

commit f13254a
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Nov 20 18:56:45 2015 +0100

    Lua: Validate Proto() arguments
    
    Check if description (protocol name) and short_name are used before
    registering the protocol.  This because proto_register_protocol() makes
    sure there's not already a protocol with any of the names registered
    and duplicates will be reported with a g_error() which terminates the
    Wireshark unexpectedly.
    
    Also check if short_name contains valid characters.
    
    Give appropriate error messages.
    
    Bug: 11739
    Change-Id: Ib9776a2a3406ae5278ce744defd61864ebed0282
    Reviewed-on: https://code.wireshark.org/review/11995
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-on: https://code.wireshark.org/review/12019

commit 1e4b183
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Tue Nov 10 22:28:47 2015 +0400

    debian: Move icon and mime info file to wireshark-common
    
    Change-Id: I4d8660b36810baa95f8b300af9790778dcba83a8
    Reviewed-on: https://code.wireshark.org/review/11697
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    (cherry picked from commit f2ac2e477a19883bf1a4b76f25fa273c8b6e20af)
    Reviewed-on: https://code.wireshark.org/review/12012

commit a0eabfa
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Sat Nov 21 11:58:38 2015 +0100

    debian: Fix bumping SO versions
    
    Make dist failed due to library package renames and a few changes were
    also missing in d/control
    
    Change-Id: Iea8c054a3a32e10df73286e1535f33137e543e96
    Reviewed-on: https://code.wireshark.org/review/12006
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit e3ca036
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Thu Nov 5 17:48:10 2015 +0400

    Set major SO versions for release in CMake and debian/
    
    Also fix debian/*.symbol file contents
    
    Change-Id: I8c14aa69a04cc30d5667110ed31fdcef3baaf4aa
    Reviewed-on: https://code.wireshark.org/review/11973
    Petri-Dish: Balint Reczey <balint@balintreczey.hu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit 3ea3237
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Nov 20 12:15:36 2015 +0100

    usbvideo: fix Malformed packet error for SET_CUR
    
    The SET_CUR request does not have an extended pseudo-header, the logic
    likely refers to the extra bytes in the usmon packet header. Remove it
    since the function handles the payload after that header.
    
    Tested with arkmicro_webcam.pcap (from bug 8414) and
    usb-malformed-error.pcapng.gz (from bug 11736).
    
    Bug: 11736
    Change-Id: I61c71bb06c37a626260447f703a5cc4db2a6fc80
    Reviewed-on: https://code.wireshark.org/review/12005
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3c8036f
Author: Branislav Makan <branislav.makan1994@gmail.com>
Date:   Fri Nov 20 09:35:12 2015 +0100

    Rule-Failure-Code enum value 14 added.
    
    Change-Id: If17ceba9d6e84bdb3b8d7e030fd7eccc45f9ff69
    Reviewed-on: https://code.wireshark.org/review/11987
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 9b7aab935cbfde5d93309d5543df5a077d240a21)
    Reviewed-on: https://code.wireshark.org/review/11991

commit 9625a6f
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Nov 19 19:54:41 2015 +0100

    Qt: Fixed column issues when changing profile.
    
    Always initialize prefs.col_list in pre_init_prefs.
    When switching to a profile without a saved 'preferences' file we
    have to initialize prefs.col_list to default values to avoid reusing
    settings from the profile we leave.
    This was introduced in 5012cf84e6d84a448171dac64c14d9c83e3d4ae6
    
    Emit columnsChanged() before preferencesChanged().
    This because columnsChanged() rebuilds cap_file_->cinfo which is used
    in preferencesChanged() to align columns (and possible other actions).
    Doing this in the wrong order will give an inconsistency and a
    heap-buffer-overflow if having different number of columns.
    
    Bug: 11493
    Change-Id: I5792dfc0ede11b9457b96f092af8da00453787b1
    Reviewed-on: https://code.wireshark.org/review/11971
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 0ae19656e12089271ea5941bcb4663bedc337b69)
    Reviewed-on: https://code.wireshark.org/review/11986

commit 2707658
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Wed Nov 18 16:55:07 2015 +0100

    More spelling fixes found by lintian
    
    Change-Id: Id218dec9e5a721d6c63fd34962ffe50b6ab8dd56
    Reviewed-on: https://code.wireshark.org/review/11946
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Diederik de Groot <dkgroot@talon.nl>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit c297df134b4ba7afc84272a8c425a852e4b5408a)
    Reviewed-on: https://code.wireshark.org/review/11974

commit 6e1dc90
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Nov 19 16:19:36 2015 +0100

    Profinet: use pinfo pool to build conversation filter
    
    Packet pool cannot be used from GUI.
    
    Bug: 11730
    Change-Id: I4f5764a38a10809373c365ecf1ea50404a15b89a
    Reviewed-on: https://code.wireshark.org/review/11966
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit cf562210de8997813abf624de36a5a70d73ac421)
    Reviewed-on: https://code.wireshark.org/review/11969

commit 554babc
Author: Nick Bedbury <npbedbur@syr.edu>
Date:   Thu Nov 19 08:43:52 2015 -0500

    Fixing picosecond timestamp for vrt protocol.  Needs to be parsed as uint64 not double
    
    Change-Id: I4c3cf4aa84a9208c382fa4a50ca3c2ffb1773ead
    Reviewed-on: https://code.wireshark.org/review/11962
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 1a841483e9df85f913ece0286a6e0d4f97a859c2)
    Reviewed-on: https://code.wireshark.org/review/11964

commit 3fce547
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Nov 13 18:34:02 2015 +0100

    ASN1 (custom.make): fix typo
    
    Change-Id: I9cb151cad33c850fe6bb5b1fe8591a660cd4c0d9
    Reviewed-on: https://code.wireshark.org/review/11811
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit ae6126fc5aee47719ce2168ed5508a7c6abaa165)
    Reviewed-on: https://code.wireshark.org/review/11963

commit b3162ea
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Nov 19 10:55:24 2015 +0100

    NWP: use col_add_str to set COL_INFO
    
    As indicated in column-utils.h, col_set_str should only be used for const strings
    
    Bug: 11726
    Change-Id: I4774aac7dfba3c0f27ed90f8a4634fa19595eacb
    Reviewed-on: https://code.wireshark.org/review/11958
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 9b2c889abe0219fc162659e106c5b95deb6268f3)
    Reviewed-on: https://code.wireshark.org/review/11960

commit 5f086d3
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Nov 18 15:30:37 2015 -0800

    2.0.0 → 2.0.1.
    
    Change-Id: I29a71f3bc76eb1fdc226c9f340c45fb3bcf7dffc
    Reviewed-on: https://code.wireshark.org/review/11955
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
